export interface WorkspaceRoot {
    uri: string;
}
export interface Position extends Pick<any, 'line' | 'character'> {
}
export interface Range {
    start: Position;
    end: Position;
}
export interface Selection extends Range {
    isReversed: boolean;
}
export interface Location {
    uri: string;
    range?: Range;
}
export declare type Definition = Location | Location[] | null;
export interface Hover extends Pick<any, 'contents' | '__backcompatContents'> {
    range?: Range;
}
export interface TextDocumentDecoration extends Pick<any, Exclude<any, 'range'>> {
    range: Range;
}
export interface PanelView extends Pick<any, 'title' | 'content'> {
}
