import * as SchemaTypes from '@workbench-stack/core';
import { DocumentNode } from 'graphql';
import * as ApolloReactCommon from '@apollo/react-common';
import * as React from 'react';
import * as ApolloReactComponents from '@apollo/react-components';
import * as ApolloReactHoc from '@apollo/react-hoc';
import * as ApolloReactHooks from '@apollo/react-hooks';
export declare type Omit<T, K extends keyof T> = Pick<T, Exclude<keyof T, K>>;
export declare const DefaultSettingFragmentDoc: DocumentNode;
export declare const SettingRangeFragmentDoc: DocumentNode;
export declare const TerminalConfigurationFragmentDoc: DocumentNode;
export declare const SearchConfigurationFragmentDoc: DocumentNode;
export declare const LanguagesConfigurationFragmentDoc: DocumentNode;
export declare const FilesConfigurationFragmentDoc: DocumentNode;
export declare const GitConfigurationFragmentDoc: DocumentNode;
export declare const WorkspaceConfigurationFragmentDoc: DocumentNode;
export declare const ViewerSettingsFragmentDoc: DocumentNode;
export declare const AllContextFragmentDoc: DocumentNode;
export declare const FinalConfigurationFragmentDoc: DocumentNode;
export declare const KeybindingItemFragmentDoc: DocumentNode;
export declare const KeybindingsFragmentDoc: DocumentNode;
export declare const pickItemFragmentDoc: DocumentNode;
export declare const selectedFragmentDoc: DocumentNode;
export declare const ResourceContextFragmentDoc: DocumentNode;
export declare const statusbarItemFragmentDoc: DocumentNode;
export declare const installDocument: DocumentNode;
export declare type IinstallMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>;
export declare type installComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>, 'mutation'>;
export declare const installComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IinstallProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>;
} & TChildProps;
export declare function withinstall<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables, IinstallProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useinstallMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>;
export declare type installMutationHookResult = ReturnType<typeof useinstallMutation>;
export declare type installMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IinstallMutation>;
export declare type installMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>;
export declare const providerDefinitionDocument: DocumentNode;
export declare type IproviderDefinitionMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>;
export declare type providerDefinitionComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>, 'mutation'>;
export declare const providerDefinitionComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IproviderDefinitionProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>;
} & TChildProps;
export declare function withproviderDefinition<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables, IproviderDefinitionProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useproviderDefinitionMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>;
export declare type providerDefinitionMutationHookResult = ReturnType<typeof useproviderDefinitionMutation>;
export declare type providerDefinitionMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IproviderDefinitionMutation>;
export declare type providerDefinitionMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>;
export declare const removeDocument: DocumentNode;
export declare type IremoveMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>;
export declare type removeComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>, 'mutation'>;
export declare const removeComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IremoveProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>;
} & TChildProps;
export declare function withremove<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables, IremoveProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useremoveMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>;
export declare type removeMutationHookResult = ReturnType<typeof useremoveMutation>;
export declare type removeMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IremoveMutation>;
export declare type removeMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>;
export declare const ExtensionsByLimitDocument: DocumentNode;
export declare type ExtensionsByLimitComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>, 'query'> & ({
    variables: SchemaTypes.IExtensionsByLimitQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
});
export declare const ExtensionsByLimitComponent: (props: ExtensionsByLimitComponentProps) => JSX.Element;
export declare type IExtensionsByLimitProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>;
} & TChildProps;
export declare function withExtensionsByLimit<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables, IExtensionsByLimitProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useExtensionsByLimitQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>;
export declare function useExtensionsByLimitLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>;
export declare type ExtensionsByLimitQueryHookResult = ReturnType<typeof useExtensionsByLimitQuery>;
export declare type ExtensionsByLimitLazyQueryHookResult = ReturnType<typeof useExtensionsByLimitLazyQuery>;
export declare type ExtensionsByLimitQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>;
export declare const ExtensionsDocument: DocumentNode;
export declare type ExtensionsComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>, 'query'>;
export declare const ExtensionsComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IExtensionsProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>;
} & TChildProps;
export declare function withExtensions<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables, IExtensionsProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useExtensionsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>;
export declare function useExtensionsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>;
export declare type ExtensionsQueryHookResult = ReturnType<typeof useExtensionsQuery>;
export declare type ExtensionsLazyQueryHookResult = ReturnType<typeof useExtensionsLazyQuery>;
export declare type ExtensionsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>;
export declare const galleryExtensionDocument: DocumentNode;
export declare type galleryExtensionComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>, 'query'> & ({
    variables: SchemaTypes.IgalleryExtensionQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
});
export declare const galleryExtensionComponent: (props: galleryExtensionComponentProps) => JSX.Element;
export declare type IgalleryExtensionProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>;
} & TChildProps;
export declare function withgalleryExtension<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables, IgalleryExtensionProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function usegalleryExtensionQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>;
export declare function usegalleryExtensionLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>;
export declare type galleryExtensionQueryHookResult = ReturnType<typeof usegalleryExtensionQuery>;
export declare type galleryExtensionLazyQueryHookResult = ReturnType<typeof usegalleryExtensionLazyQuery>;
export declare type galleryExtensionQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>;
export declare const galleryDocument: DocumentNode;
export declare type galleryComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>, 'query'>;
export declare const galleryComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IgalleryProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>;
} & TChildProps;
export declare function withgallery<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables, IgalleryProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function usegalleryQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>;
export declare function usegalleryLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>;
export declare type galleryQueryHookResult = ReturnType<typeof usegalleryQuery>;
export declare type galleryLazyQueryHookResult = ReturnType<typeof usegalleryLazyQuery>;
export declare type galleryQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>;
export declare const installedExtensionsDocument: DocumentNode;
export declare type installedExtensionsComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>, 'query'>;
export declare const installedExtensionsComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IinstalledExtensionsProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>;
} & TChildProps;
export declare function withinstalledExtensions<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables, IinstalledExtensionsProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useinstalledExtensionsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>;
export declare function useinstalledExtensionsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>;
export declare type installedExtensionsQueryHookResult = ReturnType<typeof useinstalledExtensionsQuery>;
export declare type installedExtensionsLazyQueryHookResult = ReturnType<typeof useinstalledExtensionsLazyQuery>;
export declare type installedExtensionsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>;
export declare const ViewerSettingsDocument: DocumentNode;
export declare type ViewerSettingsComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>, 'query'>;
export declare const ViewerSettingsComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IViewerSettingsProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>;
} & TChildProps;
export declare function withViewerSettings<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables, IViewerSettingsProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useViewerSettingsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>;
export declare function useViewerSettingsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>;
export declare type ViewerSettingsQueryHookResult = ReturnType<typeof useViewerSettingsQuery>;
export declare type ViewerSettingsLazyQueryHookResult = ReturnType<typeof useViewerSettingsLazyQuery>;
export declare type ViewerSettingsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>;
export declare const GetConfigurationTargetDocument: DocumentNode;
export declare type IGetConfigurationTargetMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables>;
export declare type GetConfigurationTargetComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables>, 'mutation'>;
export declare const GetConfigurationTargetComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IGetConfigurationTargetProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables>;
} & TChildProps;
export declare function withGetConfigurationTarget<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables, IGetConfigurationTargetProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useGetConfigurationTargetMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables>;
export declare type GetConfigurationTargetMutationHookResult = ReturnType<typeof useGetConfigurationTargetMutation>;
export declare type GetConfigurationTargetMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IGetConfigurationTargetMutation>;
export declare type GetConfigurationTargetMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables>;
export declare const OpenGlobalKeybindingsSettingsDocument: DocumentNode;
export declare type IOpenGlobalKeybindingsSettingsMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables>;
export declare type OpenGlobalKeybindingsSettingsComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables>, 'mutation'>;
export declare const OpenGlobalKeybindingsSettingsComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IOpenGlobalKeybindingsSettingsProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables>;
} & TChildProps;
export declare function withOpenGlobalKeybindingsSettings<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables, IOpenGlobalKeybindingsSettingsProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useOpenGlobalKeybindingsSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables>;
export declare type OpenGlobalKeybindingsSettingsMutationHookResult = ReturnType<typeof useOpenGlobalKeybindingsSettingsMutation>;
export declare type OpenGlobalKeybindingsSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation>;
export declare type OpenGlobalKeybindingsSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables>;
export declare const OpenPreferenceSettingsDocument: DocumentNode;
export declare type IOpenPreferenceSettingsMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables>;
export declare type OpenPreferenceSettingsComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables>, 'mutation'>;
export declare const OpenPreferenceSettingsComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IOpenPreferenceSettingsProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables>;
} & TChildProps;
export declare function withOpenPreferenceSettings<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables, IOpenPreferenceSettingsProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useOpenPreferenceSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables>;
export declare type OpenPreferenceSettingsMutationHookResult = ReturnType<typeof useOpenPreferenceSettingsMutation>;
export declare type OpenPreferenceSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOpenPreferenceSettingsMutation>;
export declare type OpenPreferenceSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables>;
export declare const ResetSettingDocument: DocumentNode;
export declare type IResetSettingMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables>;
export declare type ResetSettingComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables>, 'mutation'>;
export declare const ResetSettingComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IResetSettingProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables>;
} & TChildProps;
export declare function withResetSetting<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables, IResetSettingProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useResetSettingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables>;
export declare type ResetSettingMutationHookResult = ReturnType<typeof useResetSettingMutation>;
export declare type ResetSettingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IResetSettingMutation>;
export declare type ResetSettingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables>;
export declare const saveUserSettingsDocument: DocumentNode;
export declare type IsaveUserSettingsMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>;
export declare type saveUserSettingsComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>, 'mutation'>;
export declare const saveUserSettingsComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IsaveUserSettingsProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>;
} & TChildProps;
export declare function withsaveUserSettings<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables, IsaveUserSettingsProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function usesaveUserSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>;
export declare type saveUserSettingsMutationHookResult = ReturnType<typeof usesaveUserSettingsMutation>;
export declare type saveUserSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IsaveUserSettingsMutation>;
export declare type saveUserSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>;
export declare const saveWorkspaceSettingsDocument: DocumentNode;
export declare type IsaveWorkspaceSettingsMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>;
export declare type saveWorkspaceSettingsComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>, 'mutation'>;
export declare const saveWorkspaceSettingsComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IsaveWorkspaceSettingsProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>;
} & TChildProps;
export declare function withsaveWorkspaceSettings<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables, IsaveWorkspaceSettingsProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function usesaveWorkspaceSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>;
export declare type saveWorkspaceSettingsMutationHookResult = ReturnType<typeof usesaveWorkspaceSettingsMutation>;
export declare type saveWorkspaceSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IsaveWorkspaceSettingsMutation>;
export declare type saveWorkspaceSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>;
export declare const SwitchSettingsDocument: DocumentNode;
export declare type ISwitchSettingsMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables>;
export declare type SwitchSettingsComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables>, 'mutation'>;
export declare const SwitchSettingsComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type ISwitchSettingsProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables>;
} & TChildProps;
export declare function withSwitchSettings<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables, ISwitchSettingsProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useSwitchSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables>;
export declare type SwitchSettingsMutationHookResult = ReturnType<typeof useSwitchSettingsMutation>;
export declare type SwitchSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISwitchSettingsMutation>;
export declare type SwitchSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables>;
export declare const DefaultPreferencesDocument: DocumentNode;
export declare type DefaultPreferencesComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>, 'query'>;
export declare const DefaultPreferencesComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IDefaultPreferencesProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>;
} & TChildProps;
export declare function withDefaultPreferences<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables, IDefaultPreferencesProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useDefaultPreferencesQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>;
export declare function useDefaultPreferencesLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>;
export declare type DefaultPreferencesQueryHookResult = ReturnType<typeof useDefaultPreferencesQuery>;
export declare type DefaultPreferencesLazyQueryHookResult = ReturnType<typeof useDefaultPreferencesLazyQuery>;
export declare type DefaultPreferencesQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>;
export declare const DefaultSettingsDocument: DocumentNode;
export declare type DefaultSettingsComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>, 'query'>;
export declare const DefaultSettingsComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IDefaultSettingsProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>;
} & TChildProps;
export declare function withDefaultSettings<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables, IDefaultSettingsProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useDefaultSettingsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>;
export declare function useDefaultSettingsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>;
export declare type DefaultSettingsQueryHookResult = ReturnType<typeof useDefaultSettingsQuery>;
export declare type DefaultSettingsLazyQueryHookResult = ReturnType<typeof useDefaultSettingsLazyQuery>;
export declare type DefaultSettingsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>;
export declare const FullConfigurationDocument: DocumentNode;
export declare type FullConfigurationComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>, 'query'>;
export declare const FullConfigurationComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IFullConfigurationProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>;
} & TChildProps;
export declare function withFullConfiguration<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables, IFullConfigurationProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useFullConfigurationQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>;
export declare function useFullConfigurationLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>;
export declare type FullConfigurationQueryHookResult = ReturnType<typeof useFullConfigurationQuery>;
export declare type FullConfigurationLazyQueryHookResult = ReturnType<typeof useFullConfigurationLazyQuery>;
export declare type FullConfigurationQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>;
export declare const GetMostCommonlyUsedSettingsDocument: DocumentNode;
export declare type GetMostCommonlyUsedSettingsComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>, 'query'>;
export declare const GetMostCommonlyUsedSettingsComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IGetMostCommonlyUsedSettingsProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>;
} & TChildProps;
export declare function withGetMostCommonlyUsedSettings<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables, IGetMostCommonlyUsedSettingsProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useGetMostCommonlyUsedSettingsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>;
export declare function useGetMostCommonlyUsedSettingsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>;
export declare type GetMostCommonlyUsedSettingsQueryHookResult = ReturnType<typeof useGetMostCommonlyUsedSettingsQuery>;
export declare type GetMostCommonlyUsedSettingsLazyQueryHookResult = ReturnType<typeof useGetMostCommonlyUsedSettingsLazyQuery>;
export declare type GetMostCommonlyUsedSettingsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>;
export declare const WorkspacesDocument: DocumentNode;
export declare type WorkspacesComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>, 'query'>;
export declare const WorkspacesComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IWorkspacesProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>;
} & TChildProps;
export declare function withWorkspaces<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables, IWorkspacesProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useWorkspacesQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>;
export declare function useWorkspacesLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>;
export declare type WorkspacesQueryHookResult = ReturnType<typeof useWorkspacesQuery>;
export declare type WorkspacesLazyQueryHookResult = ReturnType<typeof useWorkspacesLazyQuery>;
export declare type WorkspacesQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>;
export declare const UpdateConfigurationValueDocument: DocumentNode;
export declare type IUpdateConfigurationValueMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables>;
export declare type UpdateConfigurationValueComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables>, 'mutation'>;
export declare const UpdateConfigurationValueComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IUpdateConfigurationValueProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables>;
} & TChildProps;
export declare function withUpdateConfigurationValue<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables, IUpdateConfigurationValueProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useUpdateConfigurationValueMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables>;
export declare type UpdateConfigurationValueMutationHookResult = ReturnType<typeof useUpdateConfigurationValueMutation>;
export declare type UpdateConfigurationValueMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IUpdateConfigurationValueMutation>;
export declare type UpdateConfigurationValueMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables>;
export declare const CopyDocument: DocumentNode;
export declare type ICopyMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>;
export declare type CopyComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>, 'mutation'>;
export declare const CopyComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type ICopyProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>;
} & TChildProps;
export declare function withCopy<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables, ICopyProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useCopyMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>;
export declare type CopyMutationHookResult = ReturnType<typeof useCopyMutation>;
export declare type CopyMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ICopyMutation>;
export declare type CopyMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>;
export declare const RunMenuActionDocument: DocumentNode;
export declare type IRunMenuActionMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>;
export declare type RunMenuActionComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>, 'mutation'>;
export declare const RunMenuActionComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IRunMenuActionProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>;
} & TChildProps;
export declare function withRunMenuAction<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables, IRunMenuActionProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useRunMenuActionMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>;
export declare type RunMenuActionMutationHookResult = ReturnType<typeof useRunMenuActionMutation>;
export declare type RunMenuActionMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IRunMenuActionMutation>;
export declare type RunMenuActionMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>;
export declare const HideContextMenuDocument: DocumentNode;
export declare type IHideContextMenuMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>;
export declare type HideContextMenuComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>, 'mutation'>;
export declare const HideContextMenuComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IHideContextMenuProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>;
} & TChildProps;
export declare function withHideContextMenu<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables, IHideContextMenuProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useHideContextMenuMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>;
export declare type HideContextMenuMutationHookResult = ReturnType<typeof useHideContextMenuMutation>;
export declare type HideContextMenuMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IHideContextMenuMutation>;
export declare type HideContextMenuMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>;
export declare const ShowContextMenuDocument: DocumentNode;
export declare type IShowContextMenuMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>;
export declare type ShowContextMenuComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>, 'mutation'>;
export declare const ShowContextMenuComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IShowContextMenuProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>;
} & TChildProps;
export declare function withShowContextMenu<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables, IShowContextMenuProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useShowContextMenuMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>;
export declare type ShowContextMenuMutationHookResult = ReturnType<typeof useShowContextMenuMutation>;
export declare type ShowContextMenuMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IShowContextMenuMutation>;
export declare type ShowContextMenuMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>;
export declare const CloseDialogDocument: DocumentNode;
export declare type ICloseDialogMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables>;
export declare type CloseDialogComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables>, 'mutation'>;
export declare const CloseDialogComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type ICloseDialogProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables>;
} & TChildProps;
export declare function withCloseDialog<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables, ICloseDialogProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useCloseDialogMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables>;
export declare type CloseDialogMutationHookResult = ReturnType<typeof useCloseDialogMutation>;
export declare type CloseDialogMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ICloseDialogMutation>;
export declare type CloseDialogMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables>;
export declare const ShowDocument: DocumentNode;
export declare type IShowMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables>;
export declare type ShowComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables>, 'mutation'>;
export declare const ShowComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IShowProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables>;
} & TChildProps;
export declare function withShow<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables, IShowProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useShowMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables>;
export declare type ShowMutationHookResult = ReturnType<typeof useShowMutation>;
export declare type ShowMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IShowMutation>;
export declare type ShowMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables>;
export declare const OpenEditorResourceInputDocument: DocumentNode;
export declare type IOpenEditorResourceInputMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables>;
export declare type OpenEditorResourceInputComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables>, 'mutation'>;
export declare const OpenEditorResourceInputComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IOpenEditorResourceInputProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables>;
} & TChildProps;
export declare function withOpenEditorResourceInput<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables, IOpenEditorResourceInputProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useOpenEditorResourceInputMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables>;
export declare type OpenEditorResourceInputMutationHookResult = ReturnType<typeof useOpenEditorResourceInputMutation>;
export declare type OpenEditorResourceInputMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOpenEditorResourceInputMutation>;
export declare type OpenEditorResourceInputMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables>;
export declare const OpenEditorDocument: DocumentNode;
export declare type IOpenEditorMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables>;
export declare type OpenEditorComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables>, 'mutation'>;
export declare const OpenEditorComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IOpenEditorProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables>;
} & TChildProps;
export declare function withOpenEditor<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables, IOpenEditorProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useOpenEditorMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables>;
export declare type OpenEditorMutationHookResult = ReturnType<typeof useOpenEditorMutation>;
export declare type OpenEditorMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOpenEditorMutation>;
export declare type OpenEditorMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables>;
export declare const JsonEditingWriteDocument: DocumentNode;
export declare type IJsonEditingWriteMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>;
export declare type JsonEditingWriteComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>, 'mutation'>;
export declare const JsonEditingWriteComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IJsonEditingWriteProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>;
} & TChildProps;
export declare function withJsonEditingWrite<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables, IJsonEditingWriteProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useJsonEditingWriteMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>;
export declare type JsonEditingWriteMutationHookResult = ReturnType<typeof useJsonEditingWriteMutation>;
export declare type JsonEditingWriteMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IJsonEditingWriteMutation>;
export declare type JsonEditingWriteMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>;
export declare const ChangeKeybindingDocument: DocumentNode;
export declare type IChangeKeybindingMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables>;
export declare type ChangeKeybindingComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables>, 'mutation'>;
export declare const ChangeKeybindingComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IChangeKeybindingProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables>;
} & TChildProps;
export declare function withChangeKeybinding<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables, IChangeKeybindingProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useChangeKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables>;
export declare type ChangeKeybindingMutationHookResult = ReturnType<typeof useChangeKeybindingMutation>;
export declare type ChangeKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IChangeKeybindingMutation>;
export declare type ChangeKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables>;
export declare const ChangeWhenExpressionDocument: DocumentNode;
export declare type IChangeWhenExpressionMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables>;
export declare type ChangeWhenExpressionComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables>, 'mutation'>;
export declare const ChangeWhenExpressionComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IChangeWhenExpressionProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables>;
} & TChildProps;
export declare function withChangeWhenExpression<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables, IChangeWhenExpressionProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useChangeWhenExpressionMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables>;
export declare type ChangeWhenExpressionMutationHookResult = ReturnType<typeof useChangeWhenExpressionMutation>;
export declare type ChangeWhenExpressionMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IChangeWhenExpressionMutation>;
export declare type ChangeWhenExpressionMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables>;
export declare const EditKeybindingDocument: DocumentNode;
export declare type IEditKeybindingMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables>;
export declare type EditKeybindingComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables>, 'mutation'>;
export declare const EditKeybindingComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IEditKeybindingProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables>;
} & TChildProps;
export declare function withEditKeybinding<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables, IEditKeybindingProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useEditKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables>;
export declare type EditKeybindingMutationHookResult = ReturnType<typeof useEditKeybindingMutation>;
export declare type EditKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IEditKeybindingMutation>;
export declare type EditKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables>;
export declare const HideKeybindingDialogDocument: DocumentNode;
export declare type IHideKeybindingDialogMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables>;
export declare type HideKeybindingDialogComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables>, 'mutation'>;
export declare const HideKeybindingDialogComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IHideKeybindingDialogProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables>;
} & TChildProps;
export declare function withHideKeybindingDialog<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables, IHideKeybindingDialogProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useHideKeybindingDialogMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables>;
export declare type HideKeybindingDialogMutationHookResult = ReturnType<typeof useHideKeybindingDialogMutation>;
export declare type HideKeybindingDialogMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IHideKeybindingDialogMutation>;
export declare type HideKeybindingDialogMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables>;
export declare const LookupKeybindingDocument: DocumentNode;
export declare type ILookupKeybindingMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables>;
export declare type LookupKeybindingComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables>, 'mutation'>;
export declare const LookupKeybindingComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type ILookupKeybindingProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables>;
} & TChildProps;
export declare function withLookupKeybinding<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables, ILookupKeybindingProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useLookupKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables>;
export declare type LookupKeybindingMutationHookResult = ReturnType<typeof useLookupKeybindingMutation>;
export declare type LookupKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ILookupKeybindingMutation>;
export declare type LookupKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables>;
export declare const registerKeybindingDocument: DocumentNode;
export declare type IregisterKeybindingMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables>;
export declare type registerKeybindingComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables>, 'mutation'>;
export declare const registerKeybindingComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IregisterKeybindingProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables>;
} & TChildProps;
export declare function withregisterKeybinding<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables, IregisterKeybindingProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useregisterKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables>;
export declare type registerKeybindingMutationHookResult = ReturnType<typeof useregisterKeybindingMutation>;
export declare type registerKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IregisterKeybindingMutation>;
export declare type registerKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables>;
export declare const RemoveKeybindingDocument: DocumentNode;
export declare type IRemoveKeybindingMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables>;
export declare type RemoveKeybindingComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables>, 'mutation'>;
export declare const RemoveKeybindingComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IRemoveKeybindingProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables>;
} & TChildProps;
export declare function withRemoveKeybinding<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables, IRemoveKeybindingProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useRemoveKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables>;
export declare type RemoveKeybindingMutationHookResult = ReturnType<typeof useRemoveKeybindingMutation>;
export declare type RemoveKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IRemoveKeybindingMutation>;
export declare type RemoveKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables>;
export declare const ResetKeybindingDocument: DocumentNode;
export declare type IResetKeybindingMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables>;
export declare type ResetKeybindingComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables>, 'mutation'>;
export declare const ResetKeybindingComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IResetKeybindingProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables>;
} & TChildProps;
export declare function withResetKeybinding<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables, IResetKeybindingProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useResetKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables>;
export declare type ResetKeybindingMutationHookResult = ReturnType<typeof useResetKeybindingMutation>;
export declare type ResetKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IResetKeybindingMutation>;
export declare type ResetKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables>;
export declare const ResolveKeyboardEventDocument: DocumentNode;
export declare type IResolveKeyboardEventMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables>;
export declare type ResolveKeyboardEventComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables>, 'mutation'>;
export declare const ResolveKeyboardEventComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IResolveKeyboardEventProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables>;
} & TChildProps;
export declare function withResolveKeyboardEvent<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables, IResolveKeyboardEventProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useResolveKeyboardEventMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables>;
export declare type ResolveKeyboardEventMutationHookResult = ReturnType<typeof useResolveKeyboardEventMutation>;
export declare type ResolveKeyboardEventMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IResolveKeyboardEventMutation>;
export declare type ResolveKeyboardEventMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables>;
export declare const SearchKeybindingDocument: DocumentNode;
export declare type ISearchKeybindingMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables>;
export declare type SearchKeybindingComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables>, 'mutation'>;
export declare const SearchKeybindingComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type ISearchKeybindingProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables>;
} & TChildProps;
export declare function withSearchKeybinding<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables, ISearchKeybindingProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useSearchKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables>;
export declare type SearchKeybindingMutationHookResult = ReturnType<typeof useSearchKeybindingMutation>;
export declare type SearchKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISearchKeybindingMutation>;
export declare type SearchKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables>;
export declare const SetSelectedKeybindingIndexDocument: DocumentNode;
export declare type ISetSelectedKeybindingIndexMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables>;
export declare type SetSelectedKeybindingIndexComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables>, 'mutation'>;
export declare const SetSelectedKeybindingIndexComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type ISetSelectedKeybindingIndexProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables>;
} & TChildProps;
export declare function withSetSelectedKeybindingIndex<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables, ISetSelectedKeybindingIndexProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useSetSelectedKeybindingIndexMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables>;
export declare type SetSelectedKeybindingIndexMutationHookResult = ReturnType<typeof useSetSelectedKeybindingIndexMutation>;
export declare type SetSelectedKeybindingIndexMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISetSelectedKeybindingIndexMutation>;
export declare type SetSelectedKeybindingIndexMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables>;
export declare const StopEditWhenExpressionDocument: DocumentNode;
export declare type IStopEditWhenExpressionMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables>;
export declare type StopEditWhenExpressionComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables>, 'mutation'>;
export declare const StopEditWhenExpressionComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IStopEditWhenExpressionProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables>;
} & TChildProps;
export declare function withStopEditWhenExpression<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables, IStopEditWhenExpressionProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useStopEditWhenExpressionMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables>;
export declare type StopEditWhenExpressionMutationHookResult = ReturnType<typeof useStopEditWhenExpressionMutation>;
export declare type StopEditWhenExpressionMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IStopEditWhenExpressionMutation>;
export declare type StopEditWhenExpressionMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables>;
export declare const AddNotificationDocument: DocumentNode;
export declare type IAddNotificationMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables>;
export declare type AddNotificationComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables>, 'mutation'>;
export declare const AddNotificationComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IAddNotificationProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables>;
} & TChildProps;
export declare function withAddNotification<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables, IAddNotificationProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useAddNotificationMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables>;
export declare type AddNotificationMutationHookResult = ReturnType<typeof useAddNotificationMutation>;
export declare type AddNotificationMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IAddNotificationMutation>;
export declare type AddNotificationMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables>;
export declare const CloseNotificationDocument: DocumentNode;
export declare type ICloseNotificationMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables>;
export declare type CloseNotificationComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables>, 'mutation'>;
export declare const CloseNotificationComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type ICloseNotificationProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables>;
} & TChildProps;
export declare function withCloseNotification<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables, ICloseNotificationProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useCloseNotificationMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables>;
export declare type CloseNotificationMutationHookResult = ReturnType<typeof useCloseNotificationMutation>;
export declare type CloseNotificationMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ICloseNotificationMutation>;
export declare type CloseNotificationMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables>;
export declare const HandlerDocument: DocumentNode;
export declare type IHandlerMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables>;
export declare type HandlerComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables>, 'mutation'>;
export declare const HandlerComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IHandlerProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables>;
} & TChildProps;
export declare function withHandler<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables, IHandlerProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useHandlerMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables>;
export declare type HandlerMutationHookResult = ReturnType<typeof useHandlerMutation>;
export declare type HandlerMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IHandlerMutation>;
export declare type HandlerMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables>;
export declare const OpenEditorFileDocument: DocumentNode;
export declare type IOpenEditorFileMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>;
export declare type OpenEditorFileComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>, 'mutation'>;
export declare const OpenEditorFileComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IOpenEditorFileProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>;
} & TChildProps;
export declare function withOpenEditorFile<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables, IOpenEditorFileProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useOpenEditorFileMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>;
export declare type OpenEditorFileMutationHookResult = ReturnType<typeof useOpenEditorFileMutation>;
export declare type OpenEditorFileMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOpenEditorFileMutation>;
export declare type OpenEditorFileMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>;
export declare const HideInputModelDocument: DocumentNode;
export declare type IHideInputModelMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables>;
export declare type HideInputModelComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables>, 'mutation'>;
export declare const HideInputModelComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IHideInputModelProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables>;
} & TChildProps;
export declare function withHideInputModel<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables, IHideInputModelProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useHideInputModelMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables>;
export declare type HideInputModelMutationHookResult = ReturnType<typeof useHideInputModelMutation>;
export declare type HideInputModelMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IHideInputModelMutation>;
export declare type HideInputModelMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables>;
export declare const SetSelectedDocument: DocumentNode;
export declare type ISetSelectedMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables>;
export declare type SetSelectedComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables>, 'mutation'>;
export declare const SetSelectedComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type ISetSelectedProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables>;
} & TChildProps;
export declare function withSetSelected<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables, ISetSelectedProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useSetSelectedMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables>;
export declare type SetSelectedMutationHookResult = ReturnType<typeof useSetSelectedMutation>;
export declare type SetSelectedMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISetSelectedMutation>;
export declare type SetSelectedMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables>;
export declare const ShowInputDocument: DocumentNode;
export declare type IShowInputMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables>;
export declare type ShowInputComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables>, 'mutation'>;
export declare const ShowInputComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IShowInputProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables>;
} & TChildProps;
export declare function withShowInput<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables, IShowInputProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useShowInputMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables>;
export declare type ShowInputMutationHookResult = ReturnType<typeof useShowInputMutation>;
export declare type ShowInputMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IShowInputMutation>;
export declare type ShowInputMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables>;
export declare const ShowPickInputDocument: DocumentNode;
export declare type IShowPickInputMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables>;
export declare type ShowPickInputComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables>, 'mutation'>;
export declare const ShowPickInputComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IShowPickInputProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables>;
} & TChildProps;
export declare function withShowPickInput<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables, IShowPickInputProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useShowPickInputMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables>;
export declare type ShowPickInputMutationHookResult = ReturnType<typeof useShowPickInputMutation>;
export declare type ShowPickInputMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IShowPickInputMutation>;
export declare type ShowPickInputMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables>;
export declare const AddEntryDocument: DocumentNode;
export declare type IAddEntryMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables>;
export declare type AddEntryComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables>, 'mutation'>;
export declare const AddEntryComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IAddEntryProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables>;
} & TChildProps;
export declare function withAddEntry<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables, IAddEntryProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useAddEntryMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables>;
export declare type AddEntryMutationHookResult = ReturnType<typeof useAddEntryMutation>;
export declare type AddEntryMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IAddEntryMutation>;
export declare type AddEntryMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables>;
export declare const RemoveStatusbarEntryDocument: DocumentNode;
export declare type IRemoveStatusbarEntryMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables>;
export declare type RemoveStatusbarEntryComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables>, 'mutation'>;
export declare const RemoveStatusbarEntryComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IRemoveStatusbarEntryProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables>;
} & TChildProps;
export declare function withRemoveStatusbarEntry<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables, IRemoveStatusbarEntryProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useRemoveStatusbarEntryMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables>;
export declare type RemoveStatusbarEntryMutationHookResult = ReturnType<typeof useRemoveStatusbarEntryMutation>;
export declare type RemoveStatusbarEntryMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IRemoveStatusbarEntryMutation>;
export declare type RemoveStatusbarEntryMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables>;
export declare const SetStatusMessageDocument: DocumentNode;
export declare type ISetStatusMessageMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables>;
export declare type SetStatusMessageComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables>, 'mutation'>;
export declare const SetStatusMessageComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type ISetStatusMessageProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables>;
} & TChildProps;
export declare function withSetStatusMessage<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables, ISetStatusMessageProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useSetStatusMessageMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables>;
export declare type SetStatusMessageMutationHookResult = ReturnType<typeof useSetStatusMessageMutation>;
export declare type SetStatusMessageMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISetStatusMessageMutation>;
export declare type SetStatusMessageMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables>;
export declare const UpdateStatusbarEntryDocument: DocumentNode;
export declare type IUpdateStatusbarEntryMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables>;
export declare type UpdateStatusbarEntryComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables>, 'mutation'>;
export declare const UpdateStatusbarEntryComponent: (props: Pick<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables>, "variables" | "client" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "errorPolicy" | "context" | "optimisticResponse" | "refetchQueries" | "awaitRefetchQueries" | "update" | "ignoreResults">) => JSX.Element;
export declare type IUpdateStatusbarEntryProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables>;
} & TChildProps;
export declare function withUpdateStatusbarEntry<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables, IUpdateStatusbarEntryProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useUpdateStatusbarEntryMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables>;
export declare type UpdateStatusbarEntryMutationHookResult = ReturnType<typeof useUpdateStatusbarEntryMutation>;
export declare type UpdateStatusbarEntryMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IUpdateStatusbarEntryMutation>;
export declare type UpdateStatusbarEntryMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables>;
export declare const FinalConfiguration_WSDocument: DocumentNode;
export declare type FinalConfiguration_WSComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>, 'query'>;
export declare const FinalConfiguration_WSComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IFinalConfiguration_WSProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>;
} & TChildProps;
export declare function withFinalConfiguration_WS<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables, IFinalConfiguration_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useFinalConfiguration_WSQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>;
export declare function useFinalConfiguration_WSLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>;
export declare type FinalConfiguration_WSQueryHookResult = ReturnType<typeof useFinalConfiguration_WSQuery>;
export declare type FinalConfiguration_WSLazyQueryHookResult = ReturnType<typeof useFinalConfiguration_WSLazyQuery>;
export declare type FinalConfiguration_WSQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>;
export declare const GetContextDocument: DocumentNode;
export declare type GetContextComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>, 'query'>;
export declare const GetContextComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IGetContextProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>;
} & TChildProps;
export declare function withGetContext<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables, IGetContextProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useGetContextQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>;
export declare function useGetContextLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>;
export declare type GetContextQueryHookResult = ReturnType<typeof useGetContextQuery>;
export declare type GetContextLazyQueryHookResult = ReturnType<typeof useGetContextLazyQuery>;
export declare type GetContextQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>;
export declare const ContextMenuDocument: DocumentNode;
export declare type ContextMenuComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>, 'query'>;
export declare const ContextMenuComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IContextMenuProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>;
} & TChildProps;
export declare function withContextMenu<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables, IContextMenuProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useContextMenuQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>;
export declare function useContextMenuLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>;
export declare type ContextMenuQueryHookResult = ReturnType<typeof useContextMenuQuery>;
export declare type ContextMenuLazyQueryHookResult = ReturnType<typeof useContextMenuLazyQuery>;
export declare type ContextMenuQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>;
export declare const DialogDocument: DocumentNode;
export declare type DialogComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>, 'query'>;
export declare const DialogComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IDialogProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>;
} & TChildProps;
export declare function withDialog<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables, IDialogProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useDialogQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>;
export declare function useDialogLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>;
export declare type DialogQueryHookResult = ReturnType<typeof useDialogQuery>;
export declare type DialogLazyQueryHookResult = ReturnType<typeof useDialogLazyQuery>;
export declare type DialogQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>;
export declare const showDialogDocument: DocumentNode;
export declare type showDialogComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>, 'query'>;
export declare const showDialogComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IshowDialogProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>;
} & TChildProps;
export declare function withshowDialog<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables, IshowDialogProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useshowDialogQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>;
export declare function useshowDialogLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>;
export declare type showDialogQueryHookResult = ReturnType<typeof useshowDialogQuery>;
export declare type showDialogLazyQueryHookResult = ReturnType<typeof useshowDialogLazyQuery>;
export declare type showDialogQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>;
export declare const GetKeybindingsDocument: DocumentNode;
export declare type GetKeybindingsComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>, 'query'>;
export declare const GetKeybindingsComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IGetKeybindingsProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>;
} & TChildProps;
export declare function withGetKeybindings<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables, IGetKeybindingsProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useGetKeybindingsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>;
export declare function useGetKeybindingsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>;
export declare type GetKeybindingsQueryHookResult = ReturnType<typeof useGetKeybindingsQuery>;
export declare type GetKeybindingsLazyQueryHookResult = ReturnType<typeof useGetKeybindingsLazyQuery>;
export declare type GetKeybindingsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>;
export declare const KeybindingContextMenuDocument: DocumentNode;
export declare type KeybindingContextMenuComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>, 'query'>;
export declare const KeybindingContextMenuComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IKeybindingContextMenuProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>;
} & TChildProps;
export declare function withKeybindingContextMenu<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables, IKeybindingContextMenuProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useKeybindingContextMenuQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>;
export declare function useKeybindingContextMenuLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>;
export declare type KeybindingContextMenuQueryHookResult = ReturnType<typeof useKeybindingContextMenuQuery>;
export declare type KeybindingContextMenuLazyQueryHookResult = ReturnType<typeof useKeybindingContextMenuLazyQuery>;
export declare type KeybindingContextMenuQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>;
export declare const KeybindingsDocument: DocumentNode;
export declare type KeybindingsComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>, 'query'>;
export declare const KeybindingsComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IKeybindingsProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>;
} & TChildProps;
export declare function withKeybindings<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables, IKeybindingsProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useKeybindingsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>;
export declare function useKeybindingsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>;
export declare type KeybindingsQueryHookResult = ReturnType<typeof useKeybindingsQuery>;
export declare type KeybindingsLazyQueryHookResult = ReturnType<typeof useKeybindingsLazyQuery>;
export declare type KeybindingsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>;
export declare const NotificationsDocument: DocumentNode;
export declare type NotificationsComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>, 'query'>;
export declare const NotificationsComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type INotificationsProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>;
} & TChildProps;
export declare function withNotifications<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables, INotificationsProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useNotificationsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>;
export declare function useNotificationsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>;
export declare type NotificationsQueryHookResult = ReturnType<typeof useNotificationsQuery>;
export declare type NotificationsLazyQueryHookResult = ReturnType<typeof useNotificationsLazyQuery>;
export declare type NotificationsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>;
export declare const showNotificationDocument: DocumentNode;
export declare type showNotificationComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>, 'query'>;
export declare const showNotificationComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IshowNotificationProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>;
} & TChildProps;
export declare function withshowNotification<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables, IshowNotificationProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useshowNotificationQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>;
export declare function useshowNotificationLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>;
export declare type showNotificationQueryHookResult = ReturnType<typeof useshowNotificationQuery>;
export declare type showNotificationLazyQueryHookResult = ReturnType<typeof useshowNotificationLazyQuery>;
export declare type showNotificationQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>;
export declare const GetSelectedValueDocument: DocumentNode;
export declare type GetSelectedValueComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>, 'query'>;
export declare const GetSelectedValueComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IGetSelectedValueProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>;
} & TChildProps;
export declare function withGetSelectedValue<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables, IGetSelectedValueProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useGetSelectedValueQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>;
export declare function useGetSelectedValueLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>;
export declare type GetSelectedValueQueryHookResult = ReturnType<typeof useGetSelectedValueQuery>;
export declare type GetSelectedValueLazyQueryHookResult = ReturnType<typeof useGetSelectedValueLazyQuery>;
export declare type GetSelectedValueQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>;
export declare const QuickInputModelDocument: DocumentNode;
export declare type QuickInputModelComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>, 'query'>;
export declare const QuickInputModelComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IQuickInputModelProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>;
} & TChildProps;
export declare function withQuickInputModel<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables, IQuickInputModelProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useQuickInputModelQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>;
export declare function useQuickInputModelLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>;
export declare type QuickInputModelQueryHookResult = ReturnType<typeof useQuickInputModelQuery>;
export declare type QuickInputModelLazyQueryHookResult = ReturnType<typeof useQuickInputModelLazyQuery>;
export declare type QuickInputModelQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>;
export declare const StatusbarDocument: DocumentNode;
export declare type StatusbarComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>, 'query'>;
export declare const StatusbarComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IStatusbarProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>;
} & TChildProps;
export declare function withStatusbar<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables, IStatusbarProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useStatusbarQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>;
export declare function useStatusbarLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>;
export declare type StatusbarQueryHookResult = ReturnType<typeof useStatusbarQuery>;
export declare type StatusbarLazyQueryHookResult = ReturnType<typeof useStatusbarLazyQuery>;
export declare type StatusbarQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>;
export declare const GetViewsDocument: DocumentNode;
export declare type GetViewsComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>, 'query'> & ({
    variables: SchemaTypes.IGetViewsQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
});
export declare const GetViewsComponent: (props: GetViewsComponentProps) => JSX.Element;
export declare type IGetViewsProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>;
} & TChildProps;
export declare function withGetViews<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables, IGetViewsProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useGetViewsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>;
export declare function useGetViewsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>;
export declare type GetViewsQueryHookResult = ReturnType<typeof useGetViewsQuery>;
export declare type GetViewsLazyQueryHookResult = ReturnType<typeof useGetViewsLazyQuery>;
export declare type GetViewsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>;
export declare const GetWorkspaceDocument: DocumentNode;
export declare type GetWorkspaceComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>, 'query'>;
export declare const GetWorkspaceComponent: (props: Pick<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>, "variables" | "client" | "displayName" | "children" | "fetchPolicy" | "notifyOnNetworkStatusChange" | "onCompleted" | "onError" | "pollInterval" | "ssr" | "partialRefetch" | "returnPartialData" | "skip" | "errorPolicy" | "context">) => JSX.Element;
export declare type IGetWorkspaceProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>;
} & TChildProps;
export declare function withGetWorkspace<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables, IGetWorkspaceProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useGetWorkspaceQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>;
export declare function useGetWorkspaceLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>;
export declare type GetWorkspaceQueryHookResult = ReturnType<typeof useGetWorkspaceQuery>;
export declare type GetWorkspaceLazyQueryHookResult = ReturnType<typeof useGetWorkspaceLazyQuery>;
export declare type GetWorkspaceQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>;
