/* tslint:disable */
import { URI } from '@vscode/monaco-editor/esm/vs/base/common/uri';

import * as SchemaTypes from '@workbench-stack/core';

import { DocumentNode } from 'graphql';
import * as ApolloReactCommon from '@apollo/react-common';
import * as React from 'react';
import * as ApolloReactComponents from '@apollo/react-components';
import * as ApolloReactHoc from '@apollo/react-hoc';
import * as ApolloReactHooks from '@apollo/react-hooks';
export type Omit<T, K extends keyof T> = Pick<T, Exclude<keyof T, K>>;
























































































export const DefaultSettingFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"DefaultSetting"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Setting"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"key"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"value"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"descriptionIsMarkdown"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"deprecationMessage"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"type"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enum"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enumDescriptions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enumDescriptionsAreMarkdown"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tags"},"arguments":[],"directives":[]}]}}]};
export const SettingRangeFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"SettingRange"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Range"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"start"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"line"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"lineNumber"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"column"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"character"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"end"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"line"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"lineNumber"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"column"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"character"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"startLineNumber"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"startColumn"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"endLineNumber"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"endColumn"},"arguments":[],"directives":[]}]}}]};
export const TerminalConfigurationFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"TerminalConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Terminal"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"integrated"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"setLocaleVariables"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"shell"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"osx"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"linux"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"windows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"container"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"shellArgs"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"container"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"windows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"osx"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"linux"},"arguments":[],"directives":[]}]}}]}}]}}]};
export const SearchConfigurationFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"SearchConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Search"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"location"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"smartCase"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useRipgrep"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useIgnoreFiles"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"followSymlinks"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"globalFindClipboard"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"quickOpen"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"includeSymbols"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"exclude"},"arguments":[],"directives":[]}]}}]};
export const LanguagesConfigurationFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"LanguagesConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Languages"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"go"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"css"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"html"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"json"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"yaml"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"typescript"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"javascript"},"arguments":[],"directives":[]}]}}]};
export const FilesConfigurationFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"FilesConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Files"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"eol"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hotExit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"encoding"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoSave"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoSaveDelay"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultLanguage"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoGuessEncoding"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"insertFinalNewline"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"trimTrailingWhitespace"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useExperimentalFileWatcher"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"watcherExclude"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"exclude"},"arguments":[],"directives":[]}]}}]};
export const GitConfigurationFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"GitConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Git"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"path"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autofetch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"countBadge"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autorefresh"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"confirmSync"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"checkoutType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inputValidation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"detectSubmodules"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableSmartCommit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreLimitWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreLegacyWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableCommitSigning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultCloneDirectory"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoRepositoryDetection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreMissingGitWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showInlineOpenFileAction"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"promptToSaveFilesBeforeCommit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"decorations"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]}]}}]}}]};
export const WorkspaceConfigurationFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"WorkspaceConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"WorkspacePreferenceWorkbench"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"colorTheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableExperiments"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fontAliasing"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"iconTheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"startupEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"view"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"alwaysShowHeaderActions"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"tips"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"horizontalScrolling"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"indent"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"renderIndentGuides"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"statusBar"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"visible"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableNaturalLanguageSearch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openDefaultKeybindings"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsSearchTocBehavior"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useSplitJSON"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"quickOpen"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"closeOnFocusLost"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preserveInput"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"panel"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"defaultLocation"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"list"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"automaticKeyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"horizontalScrolling"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"keyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"multiSelectModifier"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openMode"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"experimental"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editorAssociations"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"centeredLayoutAutoResize"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"closeEmptyGroups"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"closeOnFileDelete"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enablePreview"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enablePreviewFromQuickOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"focusRecentEditorAfterClose"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"highlightModifiedTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"labelFormat"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openPositioning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openSideBySideDirection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"restoreViewState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"revealIfOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showIcons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"splitSizing"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tabCloseButton"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tabSizing"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"commandPalette"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"history"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preserveInput"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"activityBar"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"visible"},"arguments":[],"directives":[]}]}}]}}]};
export const ViewerSettingsFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ViewerSettings"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"SettingsCascade"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"final"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"subjects"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"UserSettings"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsURL"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"latestSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contents"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"createdAt"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settingsCascade"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"finalConfiguration"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"terminal"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TerminalConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"search"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"SearchConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"languages"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LanguagesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"maxChannelHistory"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"files"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FilesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"git"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"GitConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"workspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"WorkspaceConfiguration"},"directives":[]}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FolderSettings"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsURL"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"latestSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contents"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"createdAt"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settingsCascade"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"finalConfiguration"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"terminal"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TerminalConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"search"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"SearchConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"languages"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LanguagesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"maxChannelHistory"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"files"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FilesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"git"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"GitConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"workspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"WorkspaceConfiguration"},"directives":[]}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"GlobalSettings"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsURL"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"latestSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contents"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"createdAt"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settingsCascade"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"finalConfiguration"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"terminal"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TerminalConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"search"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"SearchConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"languages"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LanguagesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"maxChannelHistory"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"files"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FilesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"git"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"GitConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"workspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"WorkspaceConfiguration"},"directives":[]}]}}]}}]}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"FilesConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Files"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"eol"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hotExit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"encoding"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoSave"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoSaveDelay"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultLanguage"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoGuessEncoding"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"insertFinalNewline"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"trimTrailingWhitespace"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useExperimentalFileWatcher"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"watcherExclude"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"exclude"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"GitConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Git"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"path"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autofetch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"countBadge"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autorefresh"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"confirmSync"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"checkoutType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inputValidation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"detectSubmodules"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableSmartCommit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreLimitWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreLegacyWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableCommitSigning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultCloneDirectory"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoRepositoryDetection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreMissingGitWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showInlineOpenFileAction"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"promptToSaveFilesBeforeCommit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"decorations"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"LanguagesConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Languages"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"go"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"css"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"html"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"json"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"yaml"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"typescript"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"javascript"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"SearchConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Search"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"location"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"smartCase"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useRipgrep"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useIgnoreFiles"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"followSymlinks"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"globalFindClipboard"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"quickOpen"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"includeSymbols"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"exclude"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"TerminalConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Terminal"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"integrated"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"setLocaleVariables"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"shell"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"osx"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"linux"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"windows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"container"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"shellArgs"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"container"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"windows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"osx"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"linux"},"arguments":[],"directives":[]}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"WorkspaceConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"WorkspacePreferenceWorkbench"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"colorTheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableExperiments"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fontAliasing"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"iconTheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"startupEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"view"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"alwaysShowHeaderActions"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"tips"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"horizontalScrolling"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"indent"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"renderIndentGuides"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"statusBar"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"visible"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableNaturalLanguageSearch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openDefaultKeybindings"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsSearchTocBehavior"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useSplitJSON"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"quickOpen"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"closeOnFocusLost"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preserveInput"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"panel"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"defaultLocation"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"list"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"automaticKeyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"horizontalScrolling"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"keyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"multiSelectModifier"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openMode"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"experimental"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editorAssociations"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"centeredLayoutAutoResize"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"closeEmptyGroups"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"closeOnFileDelete"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enablePreview"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enablePreviewFromQuickOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"focusRecentEditorAfterClose"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"highlightModifiedTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"labelFormat"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openPositioning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openSideBySideDirection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"restoreViewState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"revealIfOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showIcons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"splitSizing"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tabCloseButton"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tabSizing"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"commandPalette"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"history"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preserveInput"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"activityBar"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"visible"},"arguments":[],"directives":[]}]}}]}}]};
export const AllContextFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"AllContext"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Context"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"originalResourceScheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"view"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"viewItem"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"gitOpenRepositoryCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isInDiffEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isInDiffRightEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceScheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceFilename"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceLangId"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resource"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceExtName"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceSet"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isFileSystemResource"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inputFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"suggestWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"suggestWidgetMultipleSuggestions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"suggestionMakesTextEdit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"acceptSuggestionOnEnter"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasOtherSuggestions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"groupFocusedInOpenEditors"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"dirtyEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceSelectedForCompare"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fileCopied"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breadcrumbsPossible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breadcrumbsVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breadcrumbsActive"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canNavigateBack"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canNavigateForward"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canNavigateToLastEditLocation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"dirtyDiffVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"cancellableOperation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"parameterHintsVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"parameterHintsMultipleSignatures"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"markdownPreviewFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isMac"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isLinux"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isWindows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"remoteAuthority"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"remoteConnectionState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasMacNativeTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"supportsWorkspaces"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isDevelopment"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"workbenchState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"workspaceFolderCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"remoteFileDialogVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isFullscreen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"atEndOfWord"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"scmRepository"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"scmProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"scmResourceGroup"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inDiffEditorKey"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isDominatedByLongLines"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isWordWrapMinified"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"commentThread"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"commentThreadisEmpty"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"commentIsEmpty"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"commentEditorFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"interfaceOverviewVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inReferenceSearchEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"referenceSearchVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listSupportsMultiSelect"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listHasSelectionOrFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listDoubleSelection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listMultiSelection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listSupportsKeyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"WorkbenchListAutomaticKeyboardNavigationKey"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"accessibilityHelpWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inQuickOpenKey"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"supportedCodeAction"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasSymbols"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasSnippetCompletions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"messageVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasCallHierarchyProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"callHierarchyVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchViewletVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchViewletFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchInputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"replaceInputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"patternIncludesInputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"patternExcludesInputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"replaceActive"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasSearchResult"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"firstMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fileMatchOrMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fileMatchOrFolderMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fileMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"folderMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"matchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inRecentFilesPicker"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inWindowsPicker"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"findWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"findInputFocussed"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"replaceInputFocussed"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorTextFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"textInputFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorReadonly"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasSelection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasMultipleSelections"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorTabMoveFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isInEmbeddedEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canUndo"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canRedo"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorLangId"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasCompletionItemProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasCodeActionsProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDefinitionProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDeclarationProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasImplementationProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasTypeDefinitionProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasHoverProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHadDocumentHighlightProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDocumentSymbolProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasReferenceProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasRenameProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasSignatureHelpProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDocumentFormattingProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDocumentSelectionFormattingProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasMultipleDocumentSelectionFormattingProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activeEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorIsOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorPinned"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"groupActiveEditorDirty"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"groupEditorsCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"textCompareEditorVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"textCompareEditorActive"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activeEditorGroupEmpty"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"multipleEditorGroups"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inZenMode"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inCenteredLayout"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"splitEditorsVertically"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"sideBarVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"sideBarFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activeViewlet"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activePanel"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"panelFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"panelPosition"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"debugType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"debugConfigurationType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"debugState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inDebugMode"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inDebugRepl"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breakpointWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"watchExpressionsFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"variablesFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"expressionSelected"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breakpointSelected"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"callStackItemType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"loadedScriptsSupported"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"loadedScriptsItemType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"focusedSessionIsAttach"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"stepBackSupported"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"restartFrameSupported"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inSettingsEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inSettingsJSONEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inSettingsSearch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsTocRowFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inKeybindings"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inKeybindingsSearch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"keybindingFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerViewletVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceIsFolder"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceReadonly"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceIsRoot"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceCut"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceMoveableToTrash"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"filesExplorerFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openEditorsVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openEditorsFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerViewletFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalIsOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalTextSelected"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalFindWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalFindWidgetInputFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalFindWidgetFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"webviewFindWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"taskRunning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"referenceSearchTreeFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"interactivePlaygroundFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"outlineFiltered"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"outlineFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"problemsViewFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"problemFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"problemsFilterFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"relatedInformationFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inOutput"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activeLogOutput"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"multiCursorModifier"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"saveConflictResolutionContext"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"markersNavigationVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasWordHighlights"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"profileSessionState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"extensionHostProfileRecorded"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"historyNavigationEnabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"historyNavigationWidget"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"nonEmptyWorkspace"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultExtensionViews"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchMarketplaceExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchInstalledExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchOutdatedExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchEnabledExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchDisabledExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasInstalledExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchBuiltInExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"recommendedExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultRecommendedExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"workspaceRecommendations"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"workspaceFolderRecommendations"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"addToWorkspaceRecommendations"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"addToWorkspaceFolderRecommendations"},"arguments":[],"directives":[]}]}}]};
export const FinalConfigurationFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"FinalConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Configuration"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"terminal"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TerminalConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"search"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"SearchConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"languages"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LanguagesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"maxChannelHistory"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"files"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FilesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"git"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"GitConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"workspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"WorkspaceConfiguration"},"directives":[]}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"FilesConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Files"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"eol"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hotExit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"encoding"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoSave"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoSaveDelay"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultLanguage"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoGuessEncoding"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"insertFinalNewline"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"trimTrailingWhitespace"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useExperimentalFileWatcher"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"watcherExclude"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"exclude"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"GitConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Git"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"path"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autofetch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"countBadge"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autorefresh"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"confirmSync"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"checkoutType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inputValidation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"detectSubmodules"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableSmartCommit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreLimitWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreLegacyWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableCommitSigning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultCloneDirectory"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoRepositoryDetection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreMissingGitWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showInlineOpenFileAction"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"promptToSaveFilesBeforeCommit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"decorations"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"LanguagesConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Languages"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"go"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"css"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"html"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"json"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"yaml"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"typescript"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"javascript"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"SearchConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Search"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"location"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"smartCase"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useRipgrep"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useIgnoreFiles"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"followSymlinks"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"globalFindClipboard"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"quickOpen"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"includeSymbols"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"exclude"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"TerminalConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Terminal"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"integrated"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"setLocaleVariables"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"shell"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"osx"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"linux"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"windows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"container"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"shellArgs"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"container"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"windows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"osx"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"linux"},"arguments":[],"directives":[]}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"WorkspaceConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"WorkspacePreferenceWorkbench"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"colorTheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableExperiments"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fontAliasing"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"iconTheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"startupEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"view"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"alwaysShowHeaderActions"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"tips"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"horizontalScrolling"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"indent"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"renderIndentGuides"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"statusBar"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"visible"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableNaturalLanguageSearch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openDefaultKeybindings"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsSearchTocBehavior"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useSplitJSON"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"quickOpen"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"closeOnFocusLost"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preserveInput"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"panel"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"defaultLocation"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"list"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"automaticKeyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"horizontalScrolling"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"keyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"multiSelectModifier"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openMode"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"experimental"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editorAssociations"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"centeredLayoutAutoResize"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"closeEmptyGroups"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"closeOnFileDelete"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enablePreview"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enablePreviewFromQuickOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"focusRecentEditorAfterClose"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"highlightModifiedTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"labelFormat"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openPositioning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openSideBySideDirection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"restoreViewState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"revealIfOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showIcons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"splitSizing"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tabCloseButton"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tabSizing"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"commandPalette"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"history"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preserveInput"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"activityBar"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"visible"},"arguments":[],"directives":[]}]}}]}}]};
export const KeybindingItemFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"KeybindingItem"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"KeybindingItem"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"command"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"key"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"when"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"source"},"arguments":[],"directives":[]}]}}]};
export const KeybindingsFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Keybindings"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Keybindings"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"command"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"key"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"when"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"source"},"arguments":[],"directives":[]}]}}]}}]};
export const pickItemFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"pickItem"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"QuickPickItem"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"label"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"detail"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"keybinding"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"command"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"key"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"when"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"source"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"italic"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"highlights"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"label"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"start"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"end"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"start"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"end"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"detail"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"start"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"end"},"arguments":[],"directives":[]}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"picked"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"alwaysShow"},"arguments":[],"directives":[]}]}}]};
export const selectedFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"selected"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"QuickInputModel"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inputValue"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"selectedValue"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"pickItem"},"directives":[]}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"pickItem"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"QuickPickItem"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"label"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"detail"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"keybinding"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"command"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"key"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"when"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"source"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"italic"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"highlights"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"label"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"start"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"end"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"start"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"end"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"detail"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"start"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"end"},"arguments":[],"directives":[]}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"picked"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"alwaysShow"},"arguments":[],"directives":[]}]}}]};
export const ResourceContextFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ResourceContext"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Context"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"resourceScheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceFilename"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resource"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceExtName"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceSet"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isFileSystemResource"},"arguments":[],"directives":[]}]}}]};
export const statusbarItemFragmentDoc: DocumentNode = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"statusbarItem"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StatusbarItem"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Terminal"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"alignment"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"entry"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"showTabsButtons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showIcons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showStatusbar"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"text"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ariaLabel"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tooltip"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"color"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"command"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"arguments"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showBeak"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"priority"},"arguments":[],"directives":[]}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"GoToLineColumn"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"alignment"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"entry"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"showTabsButtons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showIcons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showStatusbar"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"text"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ariaLabel"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tooltip"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"color"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"command"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"arguments"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showBeak"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"priority"},"arguments":[],"directives":[]}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EncodingStatus"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"alignment"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"entry"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"showTabsButtons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showIcons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showStatusbar"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"text"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ariaLabel"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tooltip"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"color"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"command"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"arguments"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showBeak"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"priority"},"arguments":[],"directives":[]}]}}]}}]};
export const installDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"install"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"vsix"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"install"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"vsix"},"value":{"kind":"Variable","name":{"kind":"Name","value":"vsix"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"uuid"},"arguments":[],"directives":[]}]}}]}}]};
export type IinstallMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>;
export type installComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>, 'mutation'>;

    export const installComponent = (props: installComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables> mutation={installDocument} {...props} />
    );
    
export type IinstallProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>
    } & TChildProps;
export function withinstall<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IinstallMutation,
  SchemaTypes.IinstallMutationVariables,
  IinstallProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables, IinstallProps<TChildProps, TDataName>>(installDocument, {
      alias: 'install',
      ...operationOptions
    });
};

/**
 * __useinstallMutation__
 *
 * To run a mutation, you first call `useinstallMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useinstallMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [installMutation, { data, loading, error }] = useinstallMutation({
 *   variables: {
 *      vsix: // value for 'vsix'
 *   },
 * });
 */
export function useinstallMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>(installDocument, baseOptions);
      }
export type installMutationHookResult = ReturnType<typeof useinstallMutation>;
export type installMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IinstallMutation>;
export type installMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>;
export const providerDefinitionDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"providerDefinition"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"params"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"TextDocumentPositionParamsInput"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"hoverProviderDefinition"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"params"},"value":{"kind":"Variable","name":{"kind":"Name","value":"params"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IproviderDefinitionMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>;
export type providerDefinitionComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>, 'mutation'>;

    export const providerDefinitionComponent = (props: providerDefinitionComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables> mutation={providerDefinitionDocument} {...props} />
    );
    
export type IproviderDefinitionProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>
    } & TChildProps;
export function withproviderDefinition<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IproviderDefinitionMutation,
  SchemaTypes.IproviderDefinitionMutationVariables,
  IproviderDefinitionProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables, IproviderDefinitionProps<TChildProps, TDataName>>(providerDefinitionDocument, {
      alias: 'providerDefinition',
      ...operationOptions
    });
};

/**
 * __useproviderDefinitionMutation__
 *
 * To run a mutation, you first call `useproviderDefinitionMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useproviderDefinitionMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [providerDefinitionMutation, { data, loading, error }] = useproviderDefinitionMutation({
 *   variables: {
 *      params: // value for 'params'
 *   },
 * });
 */
export function useproviderDefinitionMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>(providerDefinitionDocument, baseOptions);
      }
export type providerDefinitionMutationHookResult = ReturnType<typeof useproviderDefinitionMutation>;
export type providerDefinitionMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IproviderDefinitionMutation>;
export type providerDefinitionMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>;
export const removeDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"remove"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"id"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"removeExtension"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"id"},"value":{"kind":"Variable","name":{"kind":"Name","value":"id"}}}],"directives":[]}]}}]};
export type IremoveMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>;
export type removeComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>, 'mutation'>;

    export const removeComponent = (props: removeComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables> mutation={removeDocument} {...props} />
    );
    
export type IremoveProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>
    } & TChildProps;
export function withremove<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IremoveMutation,
  SchemaTypes.IremoveMutationVariables,
  IremoveProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables, IremoveProps<TChildProps, TDataName>>(removeDocument, {
      alias: 'remove',
      ...operationOptions
    });
};

/**
 * __useremoveMutation__
 *
 * To run a mutation, you first call `useremoveMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useremoveMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [removeMutation, { data, loading, error }] = useremoveMutation({
 *   variables: {
 *      id: // value for 'id'
 *   },
 * });
 */
export function useremoveMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>(removeDocument, baseOptions);
      }
export type removeMutationHookResult = ReturnType<typeof useremoveMutation>;
export type removeMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IremoveMutation>;
export type removeMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>;
export const ExtensionsByLimitDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"ExtensionsByLimit"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"first"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"Int"}}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"prioritizeExtensionIDs"}},"type":{"kind":"NonNullType","type":{"kind":"ListType","type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}}}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"extensionRegistry"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"extensions"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"first"},"value":{"kind":"Variable","name":{"kind":"Name","value":"first"}}},{"kind":"Argument","name":{"kind":"Name","value":"prioritizeExtensionIDs"},"value":{"kind":"Variable","name":{"kind":"Name","value":"prioritizeExtensionIDs"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"nodes"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"url"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"extensionID"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"viewerCanAdminister"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"manifest"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"raw"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activationEvents"},"arguments":[],"directives":[]}]}}]}}]}}]}}]}}]};
export type ExtensionsByLimitComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>, 'query'> & ({ variables: SchemaTypes.IExtensionsByLimitQueryVariables; skip?: boolean; } | { skip: boolean; });

    export const ExtensionsByLimitComponent = (props: ExtensionsByLimitComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables> query={ExtensionsByLimitDocument} {...props} />
    );
    
export type IExtensionsByLimitProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>
    } & TChildProps;
export function withExtensionsByLimit<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IExtensionsByLimitQuery,
  SchemaTypes.IExtensionsByLimitQueryVariables,
  IExtensionsByLimitProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables, IExtensionsByLimitProps<TChildProps, TDataName>>(ExtensionsByLimitDocument, {
      alias: 'extensionsByLimit',
      ...operationOptions
    });
};

/**
 * __useExtensionsByLimitQuery__
 *
 * To run a query within a React component, call `useExtensionsByLimitQuery` and pass it any options that fit your needs.
 * When your component renders, `useExtensionsByLimitQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useExtensionsByLimitQuery({
 *   variables: {
 *      first: // value for 'first'
 *      prioritizeExtensionIDs: // value for 'prioritizeExtensionIDs'
 *   },
 * });
 */
export function useExtensionsByLimitQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>(ExtensionsByLimitDocument, baseOptions);
      }
export function useExtensionsByLimitLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>(ExtensionsByLimitDocument, baseOptions);
        }
export type ExtensionsByLimitQueryHookResult = ReturnType<typeof useExtensionsByLimitQuery>;
export type ExtensionsByLimitLazyQueryHookResult = ReturnType<typeof useExtensionsByLimitLazyQuery>;
export type ExtensionsByLimitQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>;
export const ExtensionsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"Extensions"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"extensions"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"nodes"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"url"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activationEvents"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"viewerCanAdminister"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"releases"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"version"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"bundleURL"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"extensionID"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"extensionID"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"manifest"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"bundleURL"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"raw"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"main"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"badges"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preview"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"version"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"keywords"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"license"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"homepage"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"publisher"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"categories"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"extensionID"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"displayName"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"dependencies"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"extensionDependencies"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"bundle"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"assets"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"Type"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"Content"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"scripts"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"cdebasebuild"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"cdebasepublish"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"bundles"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"server"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"browser"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"extension"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"type"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"engines"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"node"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"vscode"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"author"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"galleryBanner"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"theme"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"activationEvents"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"contributes"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"menus"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"commandPalette"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"action"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"when"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"explorer"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"context"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"action"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"when"},"arguments":[],"directives":[]}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"context"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"action"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"when"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"title"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"own"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"action"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"when"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"context"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"action"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"when"},"arguments":[],"directives":[]}]}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"actions"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"command"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"title"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"category"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"actionItem"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"label"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]}]}}]}}]}}]}}]}}]}}]}}]};
export type ExtensionsComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>, 'query'>;

    export const ExtensionsComponent = (props: ExtensionsComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables> query={ExtensionsDocument} {...props} />
    );
    
export type IExtensionsProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>
    } & TChildProps;
export function withExtensions<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IExtensionsQuery,
  SchemaTypes.IExtensionsQueryVariables,
  IExtensionsProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables, IExtensionsProps<TChildProps, TDataName>>(ExtensionsDocument, {
      alias: 'extensions',
      ...operationOptions
    });
};

/**
 * __useExtensionsQuery__
 *
 * To run a query within a React component, call `useExtensionsQuery` and pass it any options that fit your needs.
 * When your component renders, `useExtensionsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useExtensionsQuery({
 *   variables: {
 *   },
 * });
 */
export function useExtensionsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>(ExtensionsDocument, baseOptions);
      }
export function useExtensionsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>(ExtensionsDocument, baseOptions);
        }
export type ExtensionsQueryHookResult = ReturnType<typeof useExtensionsQuery>;
export type ExtensionsLazyQueryHookResult = ReturnType<typeof useExtensionsLazyQuery>;
export type ExtensionsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>;
export const galleryExtensionDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"galleryExtension"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"extensionID"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"galleryExtension"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"extensionID"},"value":{"kind":"Variable","name":{"kind":"Name","value":"extensionID"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"icon"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"version"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"publisher"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"installCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"publisherDisplayName"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"rating"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ratingCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"displayName"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"assets"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"download"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"uri"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fallbackUri"},"arguments":[],"directives":[]}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"resources"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"icon"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"readme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"manifest"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"changelog"},"arguments":[],"directives":[]}]}}]}}]}}]};
export type galleryExtensionComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>, 'query'> & ({ variables: SchemaTypes.IgalleryExtensionQueryVariables; skip?: boolean; } | { skip: boolean; });

    export const galleryExtensionComponent = (props: galleryExtensionComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables> query={galleryExtensionDocument} {...props} />
    );
    
export type IgalleryExtensionProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>
    } & TChildProps;
export function withgalleryExtension<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IgalleryExtensionQuery,
  SchemaTypes.IgalleryExtensionQueryVariables,
  IgalleryExtensionProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables, IgalleryExtensionProps<TChildProps, TDataName>>(galleryExtensionDocument, {
      alias: 'galleryExtension',
      ...operationOptions
    });
};

/**
 * __usegalleryExtensionQuery__
 *
 * To run a query within a React component, call `usegalleryExtensionQuery` and pass it any options that fit your needs.
 * When your component renders, `usegalleryExtensionQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usegalleryExtensionQuery({
 *   variables: {
 *      extensionID: // value for 'extensionID'
 *   },
 * });
 */
export function usegalleryExtensionQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>(galleryExtensionDocument, baseOptions);
      }
export function usegalleryExtensionLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>(galleryExtensionDocument, baseOptions);
        }
export type galleryExtensionQueryHookResult = ReturnType<typeof usegalleryExtensionQuery>;
export type galleryExtensionLazyQueryHookResult = ReturnType<typeof usegalleryExtensionLazyQuery>;
export type galleryExtensionQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>;
export const galleryDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"gallery"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"query"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"GalleryQuery"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"gallery"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"query"},"value":{"kind":"Variable","name":{"kind":"Name","value":"query"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"page"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"firstPage"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"icon"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"version"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"publisher"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"installCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"publisherDisplayName"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"rating"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ratingCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"displayName"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"assets"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"download"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"uri"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fallbackUri"},"arguments":[],"directives":[]}]}}]}}]}}]}}]}}]};
export type galleryComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>, 'query'>;

    export const galleryComponent = (props: galleryComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables> query={galleryDocument} {...props} />
    );
    
export type IgalleryProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>
    } & TChildProps;
export function withgallery<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IgalleryQuery,
  SchemaTypes.IgalleryQueryVariables,
  IgalleryProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables, IgalleryProps<TChildProps, TDataName>>(galleryDocument, {
      alias: 'gallery',
      ...operationOptions
    });
};

/**
 * __usegalleryQuery__
 *
 * To run a query within a React component, call `usegalleryQuery` and pass it any options that fit your needs.
 * When your component renders, `usegalleryQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = usegalleryQuery({
 *   variables: {
 *      query: // value for 'query'
 *   },
 * });
 */
export function usegalleryQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>(galleryDocument, baseOptions);
      }
export function usegalleryLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>(galleryDocument, baseOptions);
        }
export type galleryQueryHookResult = ReturnType<typeof usegalleryQuery>;
export type galleryLazyQueryHookResult = ReturnType<typeof usegalleryLazyQuery>;
export type galleryQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>;
export const installedExtensionsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"installedExtensions"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"installed"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"identifier"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"uuid"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"galleryIdentifier"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"uuid"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"extension"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"icon"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"displayName"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"installCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"version"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"identifier"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"uuid"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"publisherDisplayName"},"arguments":[],"directives":[]}]}}]}}]}}]};
export type installedExtensionsComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>, 'query'>;

    export const installedExtensionsComponent = (props: installedExtensionsComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables> query={installedExtensionsDocument} {...props} />
    );
    
export type IinstalledExtensionsProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>
    } & TChildProps;
export function withinstalledExtensions<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IinstalledExtensionsQuery,
  SchemaTypes.IinstalledExtensionsQueryVariables,
  IinstalledExtensionsProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables, IinstalledExtensionsProps<TChildProps, TDataName>>(installedExtensionsDocument, {
      alias: 'installedExtensions',
      ...operationOptions
    });
};

/**
 * __useinstalledExtensionsQuery__
 *
 * To run a query within a React component, call `useinstalledExtensionsQuery` and pass it any options that fit your needs.
 * When your component renders, `useinstalledExtensionsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useinstalledExtensionsQuery({
 *   variables: {
 *   },
 * });
 */
export function useinstalledExtensionsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>(installedExtensionsDocument, baseOptions);
      }
export function useinstalledExtensionsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>(installedExtensionsDocument, baseOptions);
        }
export type installedExtensionsQueryHookResult = ReturnType<typeof useinstalledExtensionsQuery>;
export type installedExtensionsLazyQueryHookResult = ReturnType<typeof useinstalledExtensionsLazyQuery>;
export type installedExtensionsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>;
export const ViewerSettingsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"ViewerSettings"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"viewerSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"final"},"arguments":[],"directives":[]}]}}]}}]};
export type ViewerSettingsComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>, 'query'>;

    export const ViewerSettingsComponent = (props: ViewerSettingsComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables> query={ViewerSettingsDocument} {...props} />
    );
    
export type IViewerSettingsProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>
    } & TChildProps;
export function withViewerSettings<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IViewerSettingsQuery,
  SchemaTypes.IViewerSettingsQueryVariables,
  IViewerSettingsProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables, IViewerSettingsProps<TChildProps, TDataName>>(ViewerSettingsDocument, {
      alias: 'viewerSettings',
      ...operationOptions
    });
};

/**
 * __useViewerSettingsQuery__
 *
 * To run a query within a React component, call `useViewerSettingsQuery` and pass it any options that fit your needs.
 * When your component renders, `useViewerSettingsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useViewerSettingsQuery({
 *   variables: {
 *   },
 * });
 */
export function useViewerSettingsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>(ViewerSettingsDocument, baseOptions);
      }
export function useViewerSettingsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>(ViewerSettingsDocument, baseOptions);
        }
export type ViewerSettingsQueryHookResult = ReturnType<typeof useViewerSettingsQuery>;
export type ViewerSettingsLazyQueryHookResult = ReturnType<typeof useViewerSettingsLazyQuery>;
export type ViewerSettingsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>;
export const GetConfigurationTargetDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"GetConfigurationTarget"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"resource"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"URI"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"getConfigurationTarget"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"resource"},"value":{"kind":"Variable","name":{"kind":"Name","value":"resource"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IGetConfigurationTargetMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables>;
export type GetConfigurationTargetComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables>, 'mutation'>;

    export const GetConfigurationTargetComponent = (props: GetConfigurationTargetComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables> mutation={GetConfigurationTargetDocument} {...props} />
    );
    
export type IGetConfigurationTargetProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables>
    } & TChildProps;
export function withGetConfigurationTarget<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IGetConfigurationTargetMutation,
  SchemaTypes.IGetConfigurationTargetMutationVariables,
  IGetConfigurationTargetProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables, IGetConfigurationTargetProps<TChildProps, TDataName>>(GetConfigurationTargetDocument, {
      alias: 'getConfigurationTarget',
      ...operationOptions
    });
};

/**
 * __useGetConfigurationTargetMutation__
 *
 * To run a mutation, you first call `useGetConfigurationTargetMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useGetConfigurationTargetMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [getConfigurationTargetMutation, { data, loading, error }] = useGetConfigurationTargetMutation({
 *   variables: {
 *      resource: // value for 'resource'
 *   },
 * });
 */
export function useGetConfigurationTargetMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables>(GetConfigurationTargetDocument, baseOptions);
      }
export type GetConfigurationTargetMutationHookResult = ReturnType<typeof useGetConfigurationTargetMutation>;
export type GetConfigurationTargetMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IGetConfigurationTargetMutation>;
export type GetConfigurationTargetMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IGetConfigurationTargetMutation, SchemaTypes.IGetConfigurationTargetMutationVariables>;
export const OpenGlobalKeybindingsSettingsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"OpenGlobalKeybindingsSettings"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"textual"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Boolean"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"openGlobalKeybindingSettings"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"textual"},"value":{"kind":"Variable","name":{"kind":"Name","value":"textual"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IOpenGlobalKeybindingsSettingsMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables>;
export type OpenGlobalKeybindingsSettingsComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables>, 'mutation'>;

    export const OpenGlobalKeybindingsSettingsComponent = (props: OpenGlobalKeybindingsSettingsComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables> mutation={OpenGlobalKeybindingsSettingsDocument} {...props} />
    );
    
export type IOpenGlobalKeybindingsSettingsProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables>
    } & TChildProps;
export function withOpenGlobalKeybindingsSettings<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IOpenGlobalKeybindingsSettingsMutation,
  SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables,
  IOpenGlobalKeybindingsSettingsProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables, IOpenGlobalKeybindingsSettingsProps<TChildProps, TDataName>>(OpenGlobalKeybindingsSettingsDocument, {
      alias: 'openGlobalKeybindingsSettings',
      ...operationOptions
    });
};

/**
 * __useOpenGlobalKeybindingsSettingsMutation__
 *
 * To run a mutation, you first call `useOpenGlobalKeybindingsSettingsMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useOpenGlobalKeybindingsSettingsMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [openGlobalKeybindingsSettingsMutation, { data, loading, error }] = useOpenGlobalKeybindingsSettingsMutation({
 *   variables: {
 *      textual: // value for 'textual'
 *   },
 * });
 */
export function useOpenGlobalKeybindingsSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables>(OpenGlobalKeybindingsSettingsDocument, baseOptions);
      }
export type OpenGlobalKeybindingsSettingsMutationHookResult = ReturnType<typeof useOpenGlobalKeybindingsSettingsMutation>;
export type OpenGlobalKeybindingsSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation>;
export type OpenGlobalKeybindingsSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOpenGlobalKeybindingsSettingsMutation, SchemaTypes.IOpenGlobalKeybindingsSettingsMutationVariables>;
export const OpenPreferenceSettingsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"OpenPreferenceSettings"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"jsonEditor"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Boolean"}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"query"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"openPreferenceSettings"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"jsonEditor"},"value":{"kind":"Variable","name":{"kind":"Name","value":"jsonEditor"}}},{"kind":"Argument","name":{"kind":"Name","value":"query"},"value":{"kind":"Variable","name":{"kind":"Name","value":"query"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IOpenPreferenceSettingsMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables>;
export type OpenPreferenceSettingsComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables>, 'mutation'>;

    export const OpenPreferenceSettingsComponent = (props: OpenPreferenceSettingsComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables> mutation={OpenPreferenceSettingsDocument} {...props} />
    );
    
export type IOpenPreferenceSettingsProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables>
    } & TChildProps;
export function withOpenPreferenceSettings<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IOpenPreferenceSettingsMutation,
  SchemaTypes.IOpenPreferenceSettingsMutationVariables,
  IOpenPreferenceSettingsProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables, IOpenPreferenceSettingsProps<TChildProps, TDataName>>(OpenPreferenceSettingsDocument, {
      alias: 'openPreferenceSettings',
      ...operationOptions
    });
};

/**
 * __useOpenPreferenceSettingsMutation__
 *
 * To run a mutation, you first call `useOpenPreferenceSettingsMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useOpenPreferenceSettingsMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [openPreferenceSettingsMutation, { data, loading, error }] = useOpenPreferenceSettingsMutation({
 *   variables: {
 *      jsonEditor: // value for 'jsonEditor'
 *      query: // value for 'query'
 *   },
 * });
 */
export function useOpenPreferenceSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables>(OpenPreferenceSettingsDocument, baseOptions);
      }
export type OpenPreferenceSettingsMutationHookResult = ReturnType<typeof useOpenPreferenceSettingsMutation>;
export type OpenPreferenceSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOpenPreferenceSettingsMutation>;
export type OpenPreferenceSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOpenPreferenceSettingsMutation, SchemaTypes.IOpenPreferenceSettingsMutationVariables>;
export const ResetSettingDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"ResetSetting"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"resource"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"URI"}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"settingKey"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"resetSetting"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"resource"},"value":{"kind":"Variable","name":{"kind":"Name","value":"resource"}}},{"kind":"Argument","name":{"kind":"Name","value":"settingKey"},"value":{"kind":"Variable","name":{"kind":"Name","value":"settingKey"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IResetSettingMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables>;
export type ResetSettingComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables>, 'mutation'>;

    export const ResetSettingComponent = (props: ResetSettingComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables> mutation={ResetSettingDocument} {...props} />
    );
    
export type IResetSettingProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables>
    } & TChildProps;
export function withResetSetting<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IResetSettingMutation,
  SchemaTypes.IResetSettingMutationVariables,
  IResetSettingProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables, IResetSettingProps<TChildProps, TDataName>>(ResetSettingDocument, {
      alias: 'resetSetting',
      ...operationOptions
    });
};

/**
 * __useResetSettingMutation__
 *
 * To run a mutation, you first call `useResetSettingMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useResetSettingMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [resetSettingMutation, { data, loading, error }] = useResetSettingMutation({
 *   variables: {
 *      resource: // value for 'resource'
 *      settingKey: // value for 'settingKey'
 *   },
 * });
 */
export function useResetSettingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables>(ResetSettingDocument, baseOptions);
      }
export type ResetSettingMutationHookResult = ReturnType<typeof useResetSettingMutation>;
export type ResetSettingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IResetSettingMutation>;
export type ResetSettingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IResetSettingMutation, SchemaTypes.IResetSettingMutationVariables>;
export const saveUserSettingsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"saveUserSettings"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"content"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"saveUserSettings"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"content"},"value":{"kind":"Variable","name":{"kind":"Name","value":"content"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]}]}}]}}]};
export type IsaveUserSettingsMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>;
export type saveUserSettingsComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>, 'mutation'>;

    export const saveUserSettingsComponent = (props: saveUserSettingsComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables> mutation={saveUserSettingsDocument} {...props} />
    );
    
export type IsaveUserSettingsProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>
    } & TChildProps;
export function withsaveUserSettings<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IsaveUserSettingsMutation,
  SchemaTypes.IsaveUserSettingsMutationVariables,
  IsaveUserSettingsProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables, IsaveUserSettingsProps<TChildProps, TDataName>>(saveUserSettingsDocument, {
      alias: 'saveUserSettings',
      ...operationOptions
    });
};

/**
 * __usesaveUserSettingsMutation__
 *
 * To run a mutation, you first call `usesaveUserSettingsMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `usesaveUserSettingsMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [saveUserSettingsMutation, { data, loading, error }] = usesaveUserSettingsMutation({
 *   variables: {
 *      content: // value for 'content'
 *   },
 * });
 */
export function usesaveUserSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>(saveUserSettingsDocument, baseOptions);
      }
export type saveUserSettingsMutationHookResult = ReturnType<typeof usesaveUserSettingsMutation>;
export type saveUserSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IsaveUserSettingsMutation>;
export type saveUserSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>;
export const saveWorkspaceSettingsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"saveWorkspaceSettings"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"saveWorkspaceSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"updated"},"arguments":[],"directives":[]}]}}]}}]};
export type IsaveWorkspaceSettingsMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>;
export type saveWorkspaceSettingsComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>, 'mutation'>;

    export const saveWorkspaceSettingsComponent = (props: saveWorkspaceSettingsComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables> mutation={saveWorkspaceSettingsDocument} {...props} />
    );
    
export type IsaveWorkspaceSettingsProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>
    } & TChildProps;
export function withsaveWorkspaceSettings<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IsaveWorkspaceSettingsMutation,
  SchemaTypes.IsaveWorkspaceSettingsMutationVariables,
  IsaveWorkspaceSettingsProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables, IsaveWorkspaceSettingsProps<TChildProps, TDataName>>(saveWorkspaceSettingsDocument, {
      alias: 'saveWorkspaceSettings',
      ...operationOptions
    });
};

/**
 * __usesaveWorkspaceSettingsMutation__
 *
 * To run a mutation, you first call `usesaveWorkspaceSettingsMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `usesaveWorkspaceSettingsMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [saveWorkspaceSettingsMutation, { data, loading, error }] = usesaveWorkspaceSettingsMutation({
 *   variables: {
 *   },
 * });
 */
export function usesaveWorkspaceSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>(saveWorkspaceSettingsDocument, baseOptions);
      }
export type saveWorkspaceSettingsMutationHookResult = ReturnType<typeof usesaveWorkspaceSettingsMutation>;
export type saveWorkspaceSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IsaveWorkspaceSettingsMutation>;
export type saveWorkspaceSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>;
export const SwitchSettingsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"SwitchSettings"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"target"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Int"}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"editorId"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Int"}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"resource"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"URI"}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"jsonEditor"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Boolean"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"switchSettings"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"target"},"value":{"kind":"Variable","name":{"kind":"Name","value":"target"}}},{"kind":"Argument","name":{"kind":"Name","value":"editorId"},"value":{"kind":"Variable","name":{"kind":"Name","value":"editorId"}}},{"kind":"Argument","name":{"kind":"Name","value":"resource"},"value":{"kind":"Variable","name":{"kind":"Name","value":"resource"}}},{"kind":"Argument","name":{"kind":"Name","value":"jsonEditor"},"value":{"kind":"Variable","name":{"kind":"Name","value":"jsonEditor"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type ISwitchSettingsMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables>;
export type SwitchSettingsComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables>, 'mutation'>;

    export const SwitchSettingsComponent = (props: SwitchSettingsComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables> mutation={SwitchSettingsDocument} {...props} />
    );
    
export type ISwitchSettingsProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables>
    } & TChildProps;
export function withSwitchSettings<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.ISwitchSettingsMutation,
  SchemaTypes.ISwitchSettingsMutationVariables,
  ISwitchSettingsProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables, ISwitchSettingsProps<TChildProps, TDataName>>(SwitchSettingsDocument, {
      alias: 'switchSettings',
      ...operationOptions
    });
};

/**
 * __useSwitchSettingsMutation__
 *
 * To run a mutation, you first call `useSwitchSettingsMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useSwitchSettingsMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [switchSettingsMutation, { data, loading, error }] = useSwitchSettingsMutation({
 *   variables: {
 *      target: // value for 'target'
 *      editorId: // value for 'editorId'
 *      resource: // value for 'resource'
 *      jsonEditor: // value for 'jsonEditor'
 *   },
 * });
 */
export function useSwitchSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables>(SwitchSettingsDocument, baseOptions);
      }
export type SwitchSettingsMutationHookResult = ReturnType<typeof useSwitchSettingsMutation>;
export type SwitchSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISwitchSettingsMutation>;
export type SwitchSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISwitchSettingsMutation, SchemaTypes.ISwitchSettingsMutationVariables>;
export const DefaultPreferencesDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"DefaultPreferences"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"defaultPreferences"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"preferences"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"type"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"data"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"type"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"default"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enum"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enumDescriptions"},"arguments":[],"directives":[]}]}}]}}]}}]}}]};
export type DefaultPreferencesComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>, 'query'>;

    export const DefaultPreferencesComponent = (props: DefaultPreferencesComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables> query={DefaultPreferencesDocument} {...props} />
    );
    
export type IDefaultPreferencesProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>
    } & TChildProps;
export function withDefaultPreferences<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IDefaultPreferencesQuery,
  SchemaTypes.IDefaultPreferencesQueryVariables,
  IDefaultPreferencesProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables, IDefaultPreferencesProps<TChildProps, TDataName>>(DefaultPreferencesDocument, {
      alias: 'defaultPreferences',
      ...operationOptions
    });
};

/**
 * __useDefaultPreferencesQuery__
 *
 * To run a query within a React component, call `useDefaultPreferencesQuery` and pass it any options that fit your needs.
 * When your component renders, `useDefaultPreferencesQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useDefaultPreferencesQuery({
 *   variables: {
 *   },
 * });
 */
export function useDefaultPreferencesQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>(DefaultPreferencesDocument, baseOptions);
      }
export function useDefaultPreferencesLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>(DefaultPreferencesDocument, baseOptions);
        }
export type DefaultPreferencesQueryHookResult = ReturnType<typeof useDefaultPreferencesQuery>;
export type DefaultPreferencesLazyQueryHookResult = ReturnType<typeof useDefaultPreferencesLazyQuery>;
export type DefaultPreferencesQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>;
export const DefaultSettingsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"DefaultSettings"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"target"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Int"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"defaultViewerSettingsSubject"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"target"},"value":{"kind":"Variable","name":{"kind":"Name","value":"target"}}}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"settingsCascade"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"finalConfiguration"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"defaultSetting"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"sections"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"settings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"DefaultSetting"},"directives":[]}]}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"final"},"arguments":[],"directives":[]}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"DefaultSetting"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Setting"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"key"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"value"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"descriptionIsMarkdown"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"deprecationMessage"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"type"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enum"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enumDescriptions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enumDescriptionsAreMarkdown"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tags"},"arguments":[],"directives":[]}]}}]};
export type DefaultSettingsComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>, 'query'>;

    export const DefaultSettingsComponent = (props: DefaultSettingsComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables> query={DefaultSettingsDocument} {...props} />
    );
    
export type IDefaultSettingsProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>
    } & TChildProps;
export function withDefaultSettings<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IDefaultSettingsQuery,
  SchemaTypes.IDefaultSettingsQueryVariables,
  IDefaultSettingsProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables, IDefaultSettingsProps<TChildProps, TDataName>>(DefaultSettingsDocument, {
      alias: 'defaultSettings',
      ...operationOptions
    });
};

/**
 * __useDefaultSettingsQuery__
 *
 * To run a query within a React component, call `useDefaultSettingsQuery` and pass it any options that fit your needs.
 * When your component renders, `useDefaultSettingsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useDefaultSettingsQuery({
 *   variables: {
 *      target: // value for 'target'
 *   },
 * });
 */
export function useDefaultSettingsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>(DefaultSettingsDocument, baseOptions);
      }
export function useDefaultSettingsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>(DefaultSettingsDocument, baseOptions);
        }
export type DefaultSettingsQueryHookResult = ReturnType<typeof useDefaultSettingsQuery>;
export type DefaultSettingsLazyQueryHookResult = ReturnType<typeof useDefaultSettingsLazyQuery>;
export type DefaultSettingsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>;
export const FullConfigurationDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"FullConfiguration"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"viewerSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"final"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"subjects"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"UserSettings"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsURL"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"latestSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contents"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"createdAt"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settingsCascade"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"finalConfiguration"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"terminal"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TerminalConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"search"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"SearchConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"languages"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LanguagesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"maxChannelHistory"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"files"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FilesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"git"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"GitConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"workspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"WorkspaceConfiguration"},"directives":[]}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FolderSettings"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsURL"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"latestSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contents"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"createdAt"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settingsCascade"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"finalConfiguration"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"terminal"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TerminalConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"search"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"SearchConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"languages"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LanguagesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"maxChannelHistory"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"files"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FilesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"git"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"GitConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"workspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"WorkspaceConfiguration"},"directives":[]}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"GlobalSettings"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsURL"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"latestSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contents"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"createdAt"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settingsCascade"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"finalConfiguration"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"terminal"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TerminalConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"search"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"SearchConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"languages"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LanguagesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"maxChannelHistory"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"files"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FilesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"git"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"GitConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"workspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"WorkspaceConfiguration"},"directives":[]}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"WorkspaceSettings"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsURL"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"latestSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contents"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"createdAt"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settingsCascade"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"finalConfiguration"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"terminal"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TerminalConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"search"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"SearchConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"languages"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LanguagesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"maxChannelHistory"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"files"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FilesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"git"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"GitConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"workspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"WorkspaceConfiguration"},"directives":[]}]}}]}}]}}]}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"FilesConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Files"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"eol"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hotExit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"encoding"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoSave"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoSaveDelay"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultLanguage"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoGuessEncoding"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"insertFinalNewline"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"trimTrailingWhitespace"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useExperimentalFileWatcher"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"watcherExclude"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"exclude"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"GitConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Git"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"path"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autofetch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"countBadge"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autorefresh"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"confirmSync"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"checkoutType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inputValidation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"detectSubmodules"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableSmartCommit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreLimitWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreLegacyWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableCommitSigning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultCloneDirectory"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoRepositoryDetection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreMissingGitWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showInlineOpenFileAction"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"promptToSaveFilesBeforeCommit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"decorations"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"LanguagesConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Languages"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"go"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"css"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"html"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"json"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"yaml"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"typescript"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"javascript"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"SearchConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Search"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"location"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"smartCase"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useRipgrep"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useIgnoreFiles"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"followSymlinks"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"globalFindClipboard"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"quickOpen"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"includeSymbols"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"exclude"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"TerminalConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Terminal"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"integrated"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"setLocaleVariables"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"shell"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"osx"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"linux"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"windows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"container"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"shellArgs"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"container"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"windows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"osx"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"linux"},"arguments":[],"directives":[]}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"WorkspaceConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"WorkspacePreferenceWorkbench"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"colorTheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableExperiments"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fontAliasing"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"iconTheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"startupEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"view"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"alwaysShowHeaderActions"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"tips"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"horizontalScrolling"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"indent"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"renderIndentGuides"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"statusBar"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"visible"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableNaturalLanguageSearch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openDefaultKeybindings"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsSearchTocBehavior"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useSplitJSON"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"quickOpen"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"closeOnFocusLost"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preserveInput"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"panel"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"defaultLocation"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"list"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"automaticKeyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"horizontalScrolling"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"keyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"multiSelectModifier"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openMode"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"experimental"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editorAssociations"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"centeredLayoutAutoResize"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"closeEmptyGroups"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"closeOnFileDelete"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enablePreview"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enablePreviewFromQuickOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"focusRecentEditorAfterClose"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"highlightModifiedTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"labelFormat"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openPositioning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openSideBySideDirection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"restoreViewState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"revealIfOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showIcons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"splitSizing"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tabCloseButton"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tabSizing"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"commandPalette"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"history"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preserveInput"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"activityBar"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"visible"},"arguments":[],"directives":[]}]}}]}}]};
export type FullConfigurationComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>, 'query'>;

    export const FullConfigurationComponent = (props: FullConfigurationComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables> query={FullConfigurationDocument} {...props} />
    );
    
export type IFullConfigurationProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>
    } & TChildProps;
export function withFullConfiguration<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IFullConfigurationQuery,
  SchemaTypes.IFullConfigurationQueryVariables,
  IFullConfigurationProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables, IFullConfigurationProps<TChildProps, TDataName>>(FullConfigurationDocument, {
      alias: 'fullConfiguration',
      ...operationOptions
    });
};

/**
 * __useFullConfigurationQuery__
 *
 * To run a query within a React component, call `useFullConfigurationQuery` and pass it any options that fit your needs.
 * When your component renders, `useFullConfigurationQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useFullConfigurationQuery({
 *   variables: {
 *   },
 * });
 */
export function useFullConfigurationQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>(FullConfigurationDocument, baseOptions);
      }
export function useFullConfigurationLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>(FullConfigurationDocument, baseOptions);
        }
export type FullConfigurationQueryHookResult = ReturnType<typeof useFullConfigurationQuery>;
export type FullConfigurationLazyQueryHookResult = ReturnType<typeof useFullConfigurationLazyQuery>;
export type FullConfigurationQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>;
export const GetMostCommonlyUsedSettingsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"GetMostCommonlyUsedSettings"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"getMostCommonlyUsedSettings"},"arguments":[],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type GetMostCommonlyUsedSettingsComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>, 'query'>;

    export const GetMostCommonlyUsedSettingsComponent = (props: GetMostCommonlyUsedSettingsComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables> query={GetMostCommonlyUsedSettingsDocument} {...props} />
    );
    
export type IGetMostCommonlyUsedSettingsProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>
    } & TChildProps;
export function withGetMostCommonlyUsedSettings<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IGetMostCommonlyUsedSettingsQuery,
  SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables,
  IGetMostCommonlyUsedSettingsProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables, IGetMostCommonlyUsedSettingsProps<TChildProps, TDataName>>(GetMostCommonlyUsedSettingsDocument, {
      alias: 'getMostCommonlyUsedSettings',
      ...operationOptions
    });
};

/**
 * __useGetMostCommonlyUsedSettingsQuery__
 *
 * To run a query within a React component, call `useGetMostCommonlyUsedSettingsQuery` and pass it any options that fit your needs.
 * When your component renders, `useGetMostCommonlyUsedSettingsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetMostCommonlyUsedSettingsQuery({
 *   variables: {
 *   },
 * });
 */
export function useGetMostCommonlyUsedSettingsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>(GetMostCommonlyUsedSettingsDocument, baseOptions);
      }
export function useGetMostCommonlyUsedSettingsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>(GetMostCommonlyUsedSettingsDocument, baseOptions);
        }
export type GetMostCommonlyUsedSettingsQueryHookResult = ReturnType<typeof useGetMostCommonlyUsedSettingsQuery>;
export type GetMostCommonlyUsedSettingsLazyQueryHookResult = ReturnType<typeof useGetMostCommonlyUsedSettingsLazyQuery>;
export type GetMostCommonlyUsedSettingsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetMostCommonlyUsedSettingsQuery, SchemaTypes.IGetMostCommonlyUsedSettingsQueryVariables>;
export const WorkspacesDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"Workspaces"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"workspaces"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"uri"},"arguments":[],"directives":[]}]}}]}}]};
export type WorkspacesComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>, 'query'>;

    export const WorkspacesComponent = (props: WorkspacesComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables> query={WorkspacesDocument} {...props} />
    );
    
export type IWorkspacesProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>
    } & TChildProps;
export function withWorkspaces<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IWorkspacesQuery,
  SchemaTypes.IWorkspacesQueryVariables,
  IWorkspacesProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables, IWorkspacesProps<TChildProps, TDataName>>(WorkspacesDocument, {
      alias: 'workspaces',
      ...operationOptions
    });
};

/**
 * __useWorkspacesQuery__
 *
 * To run a query within a React component, call `useWorkspacesQuery` and pass it any options that fit your needs.
 * When your component renders, `useWorkspacesQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useWorkspacesQuery({
 *   variables: {
 *   },
 * });
 */
export function useWorkspacesQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>(WorkspacesDocument, baseOptions);
      }
export function useWorkspacesLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>(WorkspacesDocument, baseOptions);
        }
export type WorkspacesQueryHookResult = ReturnType<typeof useWorkspacesQuery>;
export type WorkspacesLazyQueryHookResult = ReturnType<typeof useWorkspacesLazyQuery>;
export type WorkspacesQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>;
export const UpdateConfigurationValueDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"UpdateConfigurationValue"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"key"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"value"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"AnyObject"}}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"overrides"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"ConfigurationOverrides_Input"}}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"target"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Int"}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"donotNotifyError"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Boolean"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"updateConfigurationValue"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"key"},"value":{"kind":"Variable","name":{"kind":"Name","value":"key"}}},{"kind":"Argument","name":{"kind":"Name","value":"value"},"value":{"kind":"Variable","name":{"kind":"Name","value":"value"}}},{"kind":"Argument","name":{"kind":"Name","value":"overrides"},"value":{"kind":"Variable","name":{"kind":"Name","value":"overrides"}}},{"kind":"Argument","name":{"kind":"Name","value":"target"},"value":{"kind":"Variable","name":{"kind":"Name","value":"target"}}},{"kind":"Argument","name":{"kind":"Name","value":"donotNotifyError"},"value":{"kind":"Variable","name":{"kind":"Name","value":"donotNotifyError"}}}],"directives":[]}]}}]};
export type IUpdateConfigurationValueMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables>;
export type UpdateConfigurationValueComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables>, 'mutation'>;

    export const UpdateConfigurationValueComponent = (props: UpdateConfigurationValueComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables> mutation={UpdateConfigurationValueDocument} {...props} />
    );
    
export type IUpdateConfigurationValueProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables>
    } & TChildProps;
export function withUpdateConfigurationValue<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IUpdateConfigurationValueMutation,
  SchemaTypes.IUpdateConfigurationValueMutationVariables,
  IUpdateConfigurationValueProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables, IUpdateConfigurationValueProps<TChildProps, TDataName>>(UpdateConfigurationValueDocument, {
      alias: 'updateConfigurationValue',
      ...operationOptions
    });
};

/**
 * __useUpdateConfigurationValueMutation__
 *
 * To run a mutation, you first call `useUpdateConfigurationValueMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useUpdateConfigurationValueMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [updateConfigurationValueMutation, { data, loading, error }] = useUpdateConfigurationValueMutation({
 *   variables: {
 *      key: // value for 'key'
 *      value: // value for 'value'
 *      overrides: // value for 'overrides'
 *      target: // value for 'target'
 *      donotNotifyError: // value for 'donotNotifyError'
 *   },
 * });
 */
export function useUpdateConfigurationValueMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables>(UpdateConfigurationValueDocument, baseOptions);
      }
export type UpdateConfigurationValueMutationHookResult = ReturnType<typeof useUpdateConfigurationValueMutation>;
export type UpdateConfigurationValueMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IUpdateConfigurationValueMutation>;
export type UpdateConfigurationValueMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IUpdateConfigurationValueMutation, SchemaTypes.IUpdateConfigurationValueMutationVariables>;
export const CopyDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"Copy"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"value"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"copy"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"value"},"value":{"kind":"Variable","name":{"kind":"Name","value":"value"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type ICopyMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>;
export type CopyComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>, 'mutation'>;

    export const CopyComponent = (props: CopyComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables> mutation={CopyDocument} {...props} />
    );
    
export type ICopyProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>
    } & TChildProps;
export function withCopy<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.ICopyMutation,
  SchemaTypes.ICopyMutationVariables,
  ICopyProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables, ICopyProps<TChildProps, TDataName>>(CopyDocument, {
      alias: 'copy',
      ...operationOptions
    });
};

/**
 * __useCopyMutation__
 *
 * To run a mutation, you first call `useCopyMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useCopyMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [copyMutation, { data, loading, error }] = useCopyMutation({
 *   variables: {
 *      value: // value for 'value'
 *   },
 * });
 */
export function useCopyMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>(CopyDocument, baseOptions);
      }
export type CopyMutationHookResult = ReturnType<typeof useCopyMutation>;
export type CopyMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ICopyMutation>;
export type CopyMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>;
export const RunMenuActionDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"RunMenuAction"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"argument"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"ActionRun_input"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"runMenuAction"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"argument"},"value":{"kind":"Variable","name":{"kind":"Name","value":"argument"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IRunMenuActionMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>;
export type RunMenuActionComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>, 'mutation'>;

    export const RunMenuActionComponent = (props: RunMenuActionComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables> mutation={RunMenuActionDocument} {...props} />
    );
    
export type IRunMenuActionProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>
    } & TChildProps;
export function withRunMenuAction<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IRunMenuActionMutation,
  SchemaTypes.IRunMenuActionMutationVariables,
  IRunMenuActionProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables, IRunMenuActionProps<TChildProps, TDataName>>(RunMenuActionDocument, {
      alias: 'runMenuAction',
      ...operationOptions
    });
};

/**
 * __useRunMenuActionMutation__
 *
 * To run a mutation, you first call `useRunMenuActionMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useRunMenuActionMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [runMenuActionMutation, { data, loading, error }] = useRunMenuActionMutation({
 *   variables: {
 *      argument: // value for 'argument'
 *   },
 * });
 */
export function useRunMenuActionMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>(RunMenuActionDocument, baseOptions);
      }
export type RunMenuActionMutationHookResult = ReturnType<typeof useRunMenuActionMutation>;
export type RunMenuActionMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IRunMenuActionMutation>;
export type RunMenuActionMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>;
export const HideContextMenuDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"HideContextMenu"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"hideContextMenu"},"arguments":[],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IHideContextMenuMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>;
export type HideContextMenuComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>, 'mutation'>;

    export const HideContextMenuComponent = (props: HideContextMenuComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables> mutation={HideContextMenuDocument} {...props} />
    );
    
export type IHideContextMenuProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>
    } & TChildProps;
export function withHideContextMenu<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IHideContextMenuMutation,
  SchemaTypes.IHideContextMenuMutationVariables,
  IHideContextMenuProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables, IHideContextMenuProps<TChildProps, TDataName>>(HideContextMenuDocument, {
      alias: 'hideContextMenu',
      ...operationOptions
    });
};

/**
 * __useHideContextMenuMutation__
 *
 * To run a mutation, you first call `useHideContextMenuMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useHideContextMenuMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [hideContextMenuMutation, { data, loading, error }] = useHideContextMenuMutation({
 *   variables: {
 *   },
 * });
 */
export function useHideContextMenuMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>(HideContextMenuDocument, baseOptions);
      }
export type HideContextMenuMutationHookResult = ReturnType<typeof useHideContextMenuMutation>;
export type HideContextMenuMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IHideContextMenuMutation>;
export type HideContextMenuMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>;
export const ShowContextMenuDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"ShowContextMenu"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"delegate"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"ContextMenu_input"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"showContextMenu"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"delegate"},"value":{"kind":"Variable","name":{"kind":"Name","value":"delegate"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IShowContextMenuMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>;
export type ShowContextMenuComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>, 'mutation'>;

    export const ShowContextMenuComponent = (props: ShowContextMenuComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables> mutation={ShowContextMenuDocument} {...props} />
    );
    
export type IShowContextMenuProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>
    } & TChildProps;
export function withShowContextMenu<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IShowContextMenuMutation,
  SchemaTypes.IShowContextMenuMutationVariables,
  IShowContextMenuProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables, IShowContextMenuProps<TChildProps, TDataName>>(ShowContextMenuDocument, {
      alias: 'showContextMenu',
      ...operationOptions
    });
};

/**
 * __useShowContextMenuMutation__
 *
 * To run a mutation, you first call `useShowContextMenuMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useShowContextMenuMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [showContextMenuMutation, { data, loading, error }] = useShowContextMenuMutation({
 *   variables: {
 *      delegate: // value for 'delegate'
 *   },
 * });
 */
export function useShowContextMenuMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>(ShowContextMenuDocument, baseOptions);
      }
export type ShowContextMenuMutationHookResult = ReturnType<typeof useShowContextMenuMutation>;
export type ShowContextMenuMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IShowContextMenuMutation>;
export type ShowContextMenuMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>;
export const CloseDialogDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"CloseDialog"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"closeDialog"},"arguments":[],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type ICloseDialogMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables>;
export type CloseDialogComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables>, 'mutation'>;

    export const CloseDialogComponent = (props: CloseDialogComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables> mutation={CloseDialogDocument} {...props} />
    );
    
export type ICloseDialogProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables>
    } & TChildProps;
export function withCloseDialog<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.ICloseDialogMutation,
  SchemaTypes.ICloseDialogMutationVariables,
  ICloseDialogProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables, ICloseDialogProps<TChildProps, TDataName>>(CloseDialogDocument, {
      alias: 'closeDialog',
      ...operationOptions
    });
};

/**
 * __useCloseDialogMutation__
 *
 * To run a mutation, you first call `useCloseDialogMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useCloseDialogMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [closeDialogMutation, { data, loading, error }] = useCloseDialogMutation({
 *   variables: {
 *   },
 * });
 */
export function useCloseDialogMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables>(CloseDialogDocument, baseOptions);
      }
export type CloseDialogMutationHookResult = ReturnType<typeof useCloseDialogMutation>;
export type CloseDialogMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ICloseDialogMutation>;
export type CloseDialogMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ICloseDialogMutation, SchemaTypes.ICloseDialogMutationVariables>;
export const ShowDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"Show"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"dialog"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Dialog_input"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"show"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"dialog"},"value":{"kind":"Variable","name":{"kind":"Name","value":"dialog"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IShowMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables>;
export type ShowComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables>, 'mutation'>;

    export const ShowComponent = (props: ShowComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables> mutation={ShowDocument} {...props} />
    );
    
export type IShowProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables>
    } & TChildProps;
export function withShow<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IShowMutation,
  SchemaTypes.IShowMutationVariables,
  IShowProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables, IShowProps<TChildProps, TDataName>>(ShowDocument, {
      alias: 'show',
      ...operationOptions
    });
};

/**
 * __useShowMutation__
 *
 * To run a mutation, you first call `useShowMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useShowMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [showMutation, { data, loading, error }] = useShowMutation({
 *   variables: {
 *      dialog: // value for 'dialog'
 *   },
 * });
 */
export function useShowMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables>(ShowDocument, baseOptions);
      }
export type ShowMutationHookResult = ReturnType<typeof useShowMutation>;
export type ShowMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IShowMutation>;
export type ShowMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IShowMutation, SchemaTypes.IShowMutationVariables>;
export const OpenEditorResourceInputDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"OpenEditorResourceInput"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"editor"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"Resource_Input"}}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"group"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Int"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"openEditorWithResourceInput"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"editor"},"value":{"kind":"Variable","name":{"kind":"Name","value":"editor"}}},{"kind":"Argument","name":{"kind":"Name","value":"group"},"value":{"kind":"Variable","name":{"kind":"Name","value":"group"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IOpenEditorResourceInputMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables>;
export type OpenEditorResourceInputComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables>, 'mutation'>;

    export const OpenEditorResourceInputComponent = (props: OpenEditorResourceInputComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables> mutation={OpenEditorResourceInputDocument} {...props} />
    );
    
export type IOpenEditorResourceInputProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables>
    } & TChildProps;
export function withOpenEditorResourceInput<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IOpenEditorResourceInputMutation,
  SchemaTypes.IOpenEditorResourceInputMutationVariables,
  IOpenEditorResourceInputProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables, IOpenEditorResourceInputProps<TChildProps, TDataName>>(OpenEditorResourceInputDocument, {
      alias: 'openEditorResourceInput',
      ...operationOptions
    });
};

/**
 * __useOpenEditorResourceInputMutation__
 *
 * To run a mutation, you first call `useOpenEditorResourceInputMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useOpenEditorResourceInputMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [openEditorResourceInputMutation, { data, loading, error }] = useOpenEditorResourceInputMutation({
 *   variables: {
 *      editor: // value for 'editor'
 *      group: // value for 'group'
 *   },
 * });
 */
export function useOpenEditorResourceInputMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables>(OpenEditorResourceInputDocument, baseOptions);
      }
export type OpenEditorResourceInputMutationHookResult = ReturnType<typeof useOpenEditorResourceInputMutation>;
export type OpenEditorResourceInputMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOpenEditorResourceInputMutation>;
export type OpenEditorResourceInputMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOpenEditorResourceInputMutation, SchemaTypes.IOpenEditorResourceInputMutationVariables>;
export const OpenEditorDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"OpenEditor"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"content"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"OpenEditor_Input"}}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"options"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"EditorOpenOptions_Input"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"openEditor"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"content"},"value":{"kind":"Variable","name":{"kind":"Name","value":"content"}}},{"kind":"Argument","name":{"kind":"Name","value":"options"},"value":{"kind":"Variable","name":{"kind":"Name","value":"options"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IOpenEditorMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables>;
export type OpenEditorComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables>, 'mutation'>;

    export const OpenEditorComponent = (props: OpenEditorComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables> mutation={OpenEditorDocument} {...props} />
    );
    
export type IOpenEditorProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables>
    } & TChildProps;
export function withOpenEditor<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IOpenEditorMutation,
  SchemaTypes.IOpenEditorMutationVariables,
  IOpenEditorProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables, IOpenEditorProps<TChildProps, TDataName>>(OpenEditorDocument, {
      alias: 'openEditor',
      ...operationOptions
    });
};

/**
 * __useOpenEditorMutation__
 *
 * To run a mutation, you first call `useOpenEditorMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useOpenEditorMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [openEditorMutation, { data, loading, error }] = useOpenEditorMutation({
 *   variables: {
 *      content: // value for 'content'
 *      options: // value for 'options'
 *   },
 * });
 */
export function useOpenEditorMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables>(OpenEditorDocument, baseOptions);
      }
export type OpenEditorMutationHookResult = ReturnType<typeof useOpenEditorMutation>;
export type OpenEditorMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOpenEditorMutation>;
export type OpenEditorMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOpenEditorMutation, SchemaTypes.IOpenEditorMutationVariables>;
export const JsonEditingWriteDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"JsonEditingWrite"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"resource"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"URI"}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"value"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"IJSONValue_input"}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"save"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Boolean"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"jsonWrite"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"resource"},"value":{"kind":"Variable","name":{"kind":"Name","value":"resource"}}},{"kind":"Argument","name":{"kind":"Name","value":"value"},"value":{"kind":"Variable","name":{"kind":"Name","value":"value"}}},{"kind":"Argument","name":{"kind":"Name","value":"save"},"value":{"kind":"Variable","name":{"kind":"Name","value":"save"}}}],"directives":[]}]}}]};
export type IJsonEditingWriteMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>;
export type JsonEditingWriteComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>, 'mutation'>;

    export const JsonEditingWriteComponent = (props: JsonEditingWriteComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables> mutation={JsonEditingWriteDocument} {...props} />
    );
    
export type IJsonEditingWriteProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>
    } & TChildProps;
export function withJsonEditingWrite<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IJsonEditingWriteMutation,
  SchemaTypes.IJsonEditingWriteMutationVariables,
  IJsonEditingWriteProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables, IJsonEditingWriteProps<TChildProps, TDataName>>(JsonEditingWriteDocument, {
      alias: 'jsonEditingWrite',
      ...operationOptions
    });
};

/**
 * __useJsonEditingWriteMutation__
 *
 * To run a mutation, you first call `useJsonEditingWriteMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useJsonEditingWriteMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [jsonEditingWriteMutation, { data, loading, error }] = useJsonEditingWriteMutation({
 *   variables: {
 *      resource: // value for 'resource'
 *      value: // value for 'value'
 *      save: // value for 'save'
 *   },
 * });
 */
export function useJsonEditingWriteMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>(JsonEditingWriteDocument, baseOptions);
      }
export type JsonEditingWriteMutationHookResult = ReturnType<typeof useJsonEditingWriteMutation>;
export type JsonEditingWriteMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IJsonEditingWriteMutation>;
export type JsonEditingWriteMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>;
export const ChangeKeybindingDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"ChangeKeybinding"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"editItem"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"KeybindingItem_input"}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"selectedIndex"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Int"}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"isOpenDialog"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Boolean"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"changeKeybinding"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"editItem"},"value":{"kind":"Variable","name":{"kind":"Name","value":"editItem"}}},{"kind":"Argument","name":{"kind":"Name","value":"selectedIndex"},"value":{"kind":"Variable","name":{"kind":"Name","value":"selectedIndex"}}},{"kind":"Argument","name":{"kind":"Name","value":"isOpenDialog"},"value":{"kind":"Variable","name":{"kind":"Name","value":"isOpenDialog"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IChangeKeybindingMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables>;
export type ChangeKeybindingComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables>, 'mutation'>;

    export const ChangeKeybindingComponent = (props: ChangeKeybindingComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables> mutation={ChangeKeybindingDocument} {...props} />
    );
    
export type IChangeKeybindingProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables>
    } & TChildProps;
export function withChangeKeybinding<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IChangeKeybindingMutation,
  SchemaTypes.IChangeKeybindingMutationVariables,
  IChangeKeybindingProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables, IChangeKeybindingProps<TChildProps, TDataName>>(ChangeKeybindingDocument, {
      alias: 'changeKeybinding',
      ...operationOptions
    });
};

/**
 * __useChangeKeybindingMutation__
 *
 * To run a mutation, you first call `useChangeKeybindingMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useChangeKeybindingMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [changeKeybindingMutation, { data, loading, error }] = useChangeKeybindingMutation({
 *   variables: {
 *      editItem: // value for 'editItem'
 *      selectedIndex: // value for 'selectedIndex'
 *      isOpenDialog: // value for 'isOpenDialog'
 *   },
 * });
 */
export function useChangeKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables>(ChangeKeybindingDocument, baseOptions);
      }
export type ChangeKeybindingMutationHookResult = ReturnType<typeof useChangeKeybindingMutation>;
export type ChangeKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IChangeKeybindingMutation>;
export type ChangeKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IChangeKeybindingMutation, SchemaTypes.IChangeKeybindingMutationVariables>;
export const ChangeWhenExpressionDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"ChangeWhenExpression"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"editItem"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"KeybindingItem_input"}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"editWhenIndex"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Int"}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"newWhen"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"changeWhenExpression"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"editItem"},"value":{"kind":"Variable","name":{"kind":"Name","value":"editItem"}}},{"kind":"Argument","name":{"kind":"Name","value":"editWhenIndex"},"value":{"kind":"Variable","name":{"kind":"Name","value":"editWhenIndex"}}},{"kind":"Argument","name":{"kind":"Name","value":"newWhen"},"value":{"kind":"Variable","name":{"kind":"Name","value":"newWhen"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IChangeWhenExpressionMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables>;
export type ChangeWhenExpressionComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables>, 'mutation'>;

    export const ChangeWhenExpressionComponent = (props: ChangeWhenExpressionComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables> mutation={ChangeWhenExpressionDocument} {...props} />
    );
    
export type IChangeWhenExpressionProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables>
    } & TChildProps;
export function withChangeWhenExpression<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IChangeWhenExpressionMutation,
  SchemaTypes.IChangeWhenExpressionMutationVariables,
  IChangeWhenExpressionProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables, IChangeWhenExpressionProps<TChildProps, TDataName>>(ChangeWhenExpressionDocument, {
      alias: 'changeWhenExpression',
      ...operationOptions
    });
};

/**
 * __useChangeWhenExpressionMutation__
 *
 * To run a mutation, you first call `useChangeWhenExpressionMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useChangeWhenExpressionMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [changeWhenExpressionMutation, { data, loading, error }] = useChangeWhenExpressionMutation({
 *   variables: {
 *      editItem: // value for 'editItem'
 *      editWhenIndex: // value for 'editWhenIndex'
 *      newWhen: // value for 'newWhen'
 *   },
 * });
 */
export function useChangeWhenExpressionMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables>(ChangeWhenExpressionDocument, baseOptions);
      }
export type ChangeWhenExpressionMutationHookResult = ReturnType<typeof useChangeWhenExpressionMutation>;
export type ChangeWhenExpressionMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IChangeWhenExpressionMutation>;
export type ChangeWhenExpressionMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IChangeWhenExpressionMutation, SchemaTypes.IChangeWhenExpressionMutationVariables>;
export const EditKeybindingDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"EditKeybinding"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"keybindingItem"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"KeybindingItem_input"}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"key"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"when"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editKeybinding"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"keybindingItem"},"value":{"kind":"Variable","name":{"kind":"Name","value":"keybindingItem"}}},{"kind":"Argument","name":{"kind":"Name","value":"key"},"value":{"kind":"Variable","name":{"kind":"Name","value":"key"}}},{"kind":"Argument","name":{"kind":"Name","value":"when"},"value":{"kind":"Variable","name":{"kind":"Name","value":"when"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IEditKeybindingMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables>;
export type EditKeybindingComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables>, 'mutation'>;

    export const EditKeybindingComponent = (props: EditKeybindingComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables> mutation={EditKeybindingDocument} {...props} />
    );
    
export type IEditKeybindingProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables>
    } & TChildProps;
export function withEditKeybinding<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IEditKeybindingMutation,
  SchemaTypes.IEditKeybindingMutationVariables,
  IEditKeybindingProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables, IEditKeybindingProps<TChildProps, TDataName>>(EditKeybindingDocument, {
      alias: 'editKeybinding',
      ...operationOptions
    });
};

/**
 * __useEditKeybindingMutation__
 *
 * To run a mutation, you first call `useEditKeybindingMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useEditKeybindingMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [editKeybindingMutation, { data, loading, error }] = useEditKeybindingMutation({
 *   variables: {
 *      keybindingItem: // value for 'keybindingItem'
 *      key: // value for 'key'
 *      when: // value for 'when'
 *   },
 * });
 */
export function useEditKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables>(EditKeybindingDocument, baseOptions);
      }
export type EditKeybindingMutationHookResult = ReturnType<typeof useEditKeybindingMutation>;
export type EditKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IEditKeybindingMutation>;
export type EditKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IEditKeybindingMutation, SchemaTypes.IEditKeybindingMutationVariables>;
export const HideKeybindingDialogDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"HideKeybindingDialog"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"hideKeybindingDialog"},"arguments":[],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IHideKeybindingDialogMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables>;
export type HideKeybindingDialogComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables>, 'mutation'>;

    export const HideKeybindingDialogComponent = (props: HideKeybindingDialogComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables> mutation={HideKeybindingDialogDocument} {...props} />
    );
    
export type IHideKeybindingDialogProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables>
    } & TChildProps;
export function withHideKeybindingDialog<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IHideKeybindingDialogMutation,
  SchemaTypes.IHideKeybindingDialogMutationVariables,
  IHideKeybindingDialogProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables, IHideKeybindingDialogProps<TChildProps, TDataName>>(HideKeybindingDialogDocument, {
      alias: 'hideKeybindingDialog',
      ...operationOptions
    });
};

/**
 * __useHideKeybindingDialogMutation__
 *
 * To run a mutation, you first call `useHideKeybindingDialogMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useHideKeybindingDialogMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [hideKeybindingDialogMutation, { data, loading, error }] = useHideKeybindingDialogMutation({
 *   variables: {
 *   },
 * });
 */
export function useHideKeybindingDialogMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables>(HideKeybindingDialogDocument, baseOptions);
      }
export type HideKeybindingDialogMutationHookResult = ReturnType<typeof useHideKeybindingDialogMutation>;
export type HideKeybindingDialogMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IHideKeybindingDialogMutation>;
export type HideKeybindingDialogMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IHideKeybindingDialogMutation, SchemaTypes.IHideKeybindingDialogMutationVariables>;
export const LookupKeybindingDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"LookupKeybinding"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"commandId"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"lookupKeybinding"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"commandId"},"value":{"kind":"Variable","name":{"kind":"Name","value":"commandId"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type ILookupKeybindingMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables>;
export type LookupKeybindingComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables>, 'mutation'>;

    export const LookupKeybindingComponent = (props: LookupKeybindingComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables> mutation={LookupKeybindingDocument} {...props} />
    );
    
export type ILookupKeybindingProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables>
    } & TChildProps;
export function withLookupKeybinding<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.ILookupKeybindingMutation,
  SchemaTypes.ILookupKeybindingMutationVariables,
  ILookupKeybindingProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables, ILookupKeybindingProps<TChildProps, TDataName>>(LookupKeybindingDocument, {
      alias: 'lookupKeybinding',
      ...operationOptions
    });
};

/**
 * __useLookupKeybindingMutation__
 *
 * To run a mutation, you first call `useLookupKeybindingMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useLookupKeybindingMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [lookupKeybindingMutation, { data, loading, error }] = useLookupKeybindingMutation({
 *   variables: {
 *      commandId: // value for 'commandId'
 *   },
 * });
 */
export function useLookupKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables>(LookupKeybindingDocument, baseOptions);
      }
export type LookupKeybindingMutationHookResult = ReturnType<typeof useLookupKeybindingMutation>;
export type LookupKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ILookupKeybindingMutation>;
export type LookupKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ILookupKeybindingMutation, SchemaTypes.ILookupKeybindingMutationVariables>;
export const registerKeybindingDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"registerKeybinding"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"keybinding"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Keybinding_input"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"registerKeybinding"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"keybinding"},"value":{"kind":"Variable","name":{"kind":"Name","value":"keybinding"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IregisterKeybindingMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables>;
export type registerKeybindingComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables>, 'mutation'>;

    export const registerKeybindingComponent = (props: registerKeybindingComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables> mutation={registerKeybindingDocument} {...props} />
    );
    
export type IregisterKeybindingProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables>
    } & TChildProps;
export function withregisterKeybinding<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IregisterKeybindingMutation,
  SchemaTypes.IregisterKeybindingMutationVariables,
  IregisterKeybindingProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables, IregisterKeybindingProps<TChildProps, TDataName>>(registerKeybindingDocument, {
      alias: 'registerKeybinding',
      ...operationOptions
    });
};

/**
 * __useregisterKeybindingMutation__
 *
 * To run a mutation, you first call `useregisterKeybindingMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useregisterKeybindingMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [registerKeybindingMutation, { data, loading, error }] = useregisterKeybindingMutation({
 *   variables: {
 *      keybinding: // value for 'keybinding'
 *   },
 * });
 */
export function useregisterKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables>(registerKeybindingDocument, baseOptions);
      }
export type registerKeybindingMutationHookResult = ReturnType<typeof useregisterKeybindingMutation>;
export type registerKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IregisterKeybindingMutation>;
export type registerKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IregisterKeybindingMutation, SchemaTypes.IregisterKeybindingMutationVariables>;
export const RemoveKeybindingDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"RemoveKeybinding"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"keybindingItem"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"KeybindingItem_input"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"removeKeybinding"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"keybindingItem"},"value":{"kind":"Variable","name":{"kind":"Name","value":"keybindingItem"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IRemoveKeybindingMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables>;
export type RemoveKeybindingComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables>, 'mutation'>;

    export const RemoveKeybindingComponent = (props: RemoveKeybindingComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables> mutation={RemoveKeybindingDocument} {...props} />
    );
    
export type IRemoveKeybindingProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables>
    } & TChildProps;
export function withRemoveKeybinding<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IRemoveKeybindingMutation,
  SchemaTypes.IRemoveKeybindingMutationVariables,
  IRemoveKeybindingProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables, IRemoveKeybindingProps<TChildProps, TDataName>>(RemoveKeybindingDocument, {
      alias: 'removeKeybinding',
      ...operationOptions
    });
};

/**
 * __useRemoveKeybindingMutation__
 *
 * To run a mutation, you first call `useRemoveKeybindingMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useRemoveKeybindingMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [removeKeybindingMutation, { data, loading, error }] = useRemoveKeybindingMutation({
 *   variables: {
 *      keybindingItem: // value for 'keybindingItem'
 *   },
 * });
 */
export function useRemoveKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables>(RemoveKeybindingDocument, baseOptions);
      }
export type RemoveKeybindingMutationHookResult = ReturnType<typeof useRemoveKeybindingMutation>;
export type RemoveKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IRemoveKeybindingMutation>;
export type RemoveKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IRemoveKeybindingMutation, SchemaTypes.IRemoveKeybindingMutationVariables>;
export const ResetKeybindingDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"ResetKeybinding"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"keybindingItem"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"KeybindingItem_input"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"resetKeybinding"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"keybindingItem"},"value":{"kind":"Variable","name":{"kind":"Name","value":"keybindingItem"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IResetKeybindingMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables>;
export type ResetKeybindingComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables>, 'mutation'>;

    export const ResetKeybindingComponent = (props: ResetKeybindingComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables> mutation={ResetKeybindingDocument} {...props} />
    );
    
export type IResetKeybindingProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables>
    } & TChildProps;
export function withResetKeybinding<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IResetKeybindingMutation,
  SchemaTypes.IResetKeybindingMutationVariables,
  IResetKeybindingProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables, IResetKeybindingProps<TChildProps, TDataName>>(ResetKeybindingDocument, {
      alias: 'resetKeybinding',
      ...operationOptions
    });
};

/**
 * __useResetKeybindingMutation__
 *
 * To run a mutation, you first call `useResetKeybindingMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useResetKeybindingMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [resetKeybindingMutation, { data, loading, error }] = useResetKeybindingMutation({
 *   variables: {
 *      keybindingItem: // value for 'keybindingItem'
 *   },
 * });
 */
export function useResetKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables>(ResetKeybindingDocument, baseOptions);
      }
export type ResetKeybindingMutationHookResult = ReturnType<typeof useResetKeybindingMutation>;
export type ResetKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IResetKeybindingMutation>;
export type ResetKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IResetKeybindingMutation, SchemaTypes.IResetKeybindingMutationVariables>;
export const ResolveKeyboardEventDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"ResolveKeyboardEvent"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"keyboardEvent"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"KeyboardEvent_input"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"resolveKeyboardEvent"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"keyboardEvent"},"value":{"kind":"Variable","name":{"kind":"Name","value":"keyboardEvent"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"label"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"key"},"arguments":[],"directives":[]}]}}]}}]};
export type IResolveKeyboardEventMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables>;
export type ResolveKeyboardEventComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables>, 'mutation'>;

    export const ResolveKeyboardEventComponent = (props: ResolveKeyboardEventComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables> mutation={ResolveKeyboardEventDocument} {...props} />
    );
    
export type IResolveKeyboardEventProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables>
    } & TChildProps;
export function withResolveKeyboardEvent<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IResolveKeyboardEventMutation,
  SchemaTypes.IResolveKeyboardEventMutationVariables,
  IResolveKeyboardEventProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables, IResolveKeyboardEventProps<TChildProps, TDataName>>(ResolveKeyboardEventDocument, {
      alias: 'resolveKeyboardEvent',
      ...operationOptions
    });
};

/**
 * __useResolveKeyboardEventMutation__
 *
 * To run a mutation, you first call `useResolveKeyboardEventMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useResolveKeyboardEventMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [resolveKeyboardEventMutation, { data, loading, error }] = useResolveKeyboardEventMutation({
 *   variables: {
 *      keyboardEvent: // value for 'keyboardEvent'
 *   },
 * });
 */
export function useResolveKeyboardEventMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables>(ResolveKeyboardEventDocument, baseOptions);
      }
export type ResolveKeyboardEventMutationHookResult = ReturnType<typeof useResolveKeyboardEventMutation>;
export type ResolveKeyboardEventMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IResolveKeyboardEventMutation>;
export type ResolveKeyboardEventMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IResolveKeyboardEventMutation, SchemaTypes.IResolveKeyboardEventMutationVariables>;
export const SearchKeybindingDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"SearchKeybinding"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"value"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"searchKeybinding"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"value"},"value":{"kind":"Variable","name":{"kind":"Name","value":"value"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type ISearchKeybindingMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables>;
export type SearchKeybindingComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables>, 'mutation'>;

    export const SearchKeybindingComponent = (props: SearchKeybindingComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables> mutation={SearchKeybindingDocument} {...props} />
    );
    
export type ISearchKeybindingProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables>
    } & TChildProps;
export function withSearchKeybinding<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.ISearchKeybindingMutation,
  SchemaTypes.ISearchKeybindingMutationVariables,
  ISearchKeybindingProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables, ISearchKeybindingProps<TChildProps, TDataName>>(SearchKeybindingDocument, {
      alias: 'searchKeybinding',
      ...operationOptions
    });
};

/**
 * __useSearchKeybindingMutation__
 *
 * To run a mutation, you first call `useSearchKeybindingMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useSearchKeybindingMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [searchKeybindingMutation, { data, loading, error }] = useSearchKeybindingMutation({
 *   variables: {
 *      value: // value for 'value'
 *   },
 * });
 */
export function useSearchKeybindingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables>(SearchKeybindingDocument, baseOptions);
      }
export type SearchKeybindingMutationHookResult = ReturnType<typeof useSearchKeybindingMutation>;
export type SearchKeybindingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISearchKeybindingMutation>;
export type SearchKeybindingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISearchKeybindingMutation, SchemaTypes.ISearchKeybindingMutationVariables>;
export const SetSelectedKeybindingIndexDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"SetSelectedKeybindingIndex"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"index"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Int"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"setSelectedKeybindingIndex"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"index"},"value":{"kind":"Variable","name":{"kind":"Name","value":"index"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type ISetSelectedKeybindingIndexMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables>;
export type SetSelectedKeybindingIndexComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables>, 'mutation'>;

    export const SetSelectedKeybindingIndexComponent = (props: SetSelectedKeybindingIndexComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables> mutation={SetSelectedKeybindingIndexDocument} {...props} />
    );
    
export type ISetSelectedKeybindingIndexProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables>
    } & TChildProps;
export function withSetSelectedKeybindingIndex<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.ISetSelectedKeybindingIndexMutation,
  SchemaTypes.ISetSelectedKeybindingIndexMutationVariables,
  ISetSelectedKeybindingIndexProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables, ISetSelectedKeybindingIndexProps<TChildProps, TDataName>>(SetSelectedKeybindingIndexDocument, {
      alias: 'setSelectedKeybindingIndex',
      ...operationOptions
    });
};

/**
 * __useSetSelectedKeybindingIndexMutation__
 *
 * To run a mutation, you first call `useSetSelectedKeybindingIndexMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useSetSelectedKeybindingIndexMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [setSelectedKeybindingIndexMutation, { data, loading, error }] = useSetSelectedKeybindingIndexMutation({
 *   variables: {
 *      index: // value for 'index'
 *   },
 * });
 */
export function useSetSelectedKeybindingIndexMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables>(SetSelectedKeybindingIndexDocument, baseOptions);
      }
export type SetSelectedKeybindingIndexMutationHookResult = ReturnType<typeof useSetSelectedKeybindingIndexMutation>;
export type SetSelectedKeybindingIndexMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISetSelectedKeybindingIndexMutation>;
export type SetSelectedKeybindingIndexMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISetSelectedKeybindingIndexMutation, SchemaTypes.ISetSelectedKeybindingIndexMutationVariables>;
export const StopEditWhenExpressionDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"StopEditWhenExpression"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"stopEditWhenExpression"},"arguments":[],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IStopEditWhenExpressionMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables>;
export type StopEditWhenExpressionComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables>, 'mutation'>;

    export const StopEditWhenExpressionComponent = (props: StopEditWhenExpressionComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables> mutation={StopEditWhenExpressionDocument} {...props} />
    );
    
export type IStopEditWhenExpressionProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables>
    } & TChildProps;
export function withStopEditWhenExpression<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IStopEditWhenExpressionMutation,
  SchemaTypes.IStopEditWhenExpressionMutationVariables,
  IStopEditWhenExpressionProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables, IStopEditWhenExpressionProps<TChildProps, TDataName>>(StopEditWhenExpressionDocument, {
      alias: 'stopEditWhenExpression',
      ...operationOptions
    });
};

/**
 * __useStopEditWhenExpressionMutation__
 *
 * To run a mutation, you first call `useStopEditWhenExpressionMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useStopEditWhenExpressionMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [stopEditWhenExpressionMutation, { data, loading, error }] = useStopEditWhenExpressionMutation({
 *   variables: {
 *   },
 * });
 */
export function useStopEditWhenExpressionMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables>(StopEditWhenExpressionDocument, baseOptions);
      }
export type StopEditWhenExpressionMutationHookResult = ReturnType<typeof useStopEditWhenExpressionMutation>;
export type StopEditWhenExpressionMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IStopEditWhenExpressionMutation>;
export type StopEditWhenExpressionMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IStopEditWhenExpressionMutation, SchemaTypes.IStopEditWhenExpressionMutationVariables>;
export const AddNotificationDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"AddNotification"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"notification"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Notification_input"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"addNotification"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"notification"},"value":{"kind":"Variable","name":{"kind":"Name","value":"notification"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IAddNotificationMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables>;
export type AddNotificationComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables>, 'mutation'>;

    export const AddNotificationComponent = (props: AddNotificationComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables> mutation={AddNotificationDocument} {...props} />
    );
    
export type IAddNotificationProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables>
    } & TChildProps;
export function withAddNotification<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IAddNotificationMutation,
  SchemaTypes.IAddNotificationMutationVariables,
  IAddNotificationProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables, IAddNotificationProps<TChildProps, TDataName>>(AddNotificationDocument, {
      alias: 'addNotification',
      ...operationOptions
    });
};

/**
 * __useAddNotificationMutation__
 *
 * To run a mutation, you first call `useAddNotificationMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useAddNotificationMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [addNotificationMutation, { data, loading, error }] = useAddNotificationMutation({
 *   variables: {
 *      notification: // value for 'notification'
 *   },
 * });
 */
export function useAddNotificationMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables>(AddNotificationDocument, baseOptions);
      }
export type AddNotificationMutationHookResult = ReturnType<typeof useAddNotificationMutation>;
export type AddNotificationMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IAddNotificationMutation>;
export type AddNotificationMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IAddNotificationMutation, SchemaTypes.IAddNotificationMutationVariables>;
export const CloseNotificationDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"CloseNotification"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"index"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Int"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"closeNotification"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"index"},"value":{"kind":"Variable","name":{"kind":"Name","value":"index"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type ICloseNotificationMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables>;
export type CloseNotificationComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables>, 'mutation'>;

    export const CloseNotificationComponent = (props: CloseNotificationComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables> mutation={CloseNotificationDocument} {...props} />
    );
    
export type ICloseNotificationProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables>
    } & TChildProps;
export function withCloseNotification<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.ICloseNotificationMutation,
  SchemaTypes.ICloseNotificationMutationVariables,
  ICloseNotificationProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables, ICloseNotificationProps<TChildProps, TDataName>>(CloseNotificationDocument, {
      alias: 'closeNotification',
      ...operationOptions
    });
};

/**
 * __useCloseNotificationMutation__
 *
 * To run a mutation, you first call `useCloseNotificationMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useCloseNotificationMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [closeNotificationMutation, { data, loading, error }] = useCloseNotificationMutation({
 *   variables: {
 *      index: // value for 'index'
 *   },
 * });
 */
export function useCloseNotificationMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables>(CloseNotificationDocument, baseOptions);
      }
export type CloseNotificationMutationHookResult = ReturnType<typeof useCloseNotificationMutation>;
export type CloseNotificationMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ICloseNotificationMutation>;
export type CloseNotificationMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ICloseNotificationMutation, SchemaTypes.ICloseNotificationMutationVariables>;
export const HandlerDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"Handler"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"arg"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"ActionRun_input"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"handler"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"arg"},"value":{"kind":"Variable","name":{"kind":"Name","value":"arg"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IHandlerMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables>;
export type HandlerComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables>, 'mutation'>;

    export const HandlerComponent = (props: HandlerComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables> mutation={HandlerDocument} {...props} />
    );
    
export type IHandlerProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables>
    } & TChildProps;
export function withHandler<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IHandlerMutation,
  SchemaTypes.IHandlerMutationVariables,
  IHandlerProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables, IHandlerProps<TChildProps, TDataName>>(HandlerDocument, {
      alias: 'handler',
      ...operationOptions
    });
};

/**
 * __useHandlerMutation__
 *
 * To run a mutation, you first call `useHandlerMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useHandlerMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [handlerMutation, { data, loading, error }] = useHandlerMutation({
 *   variables: {
 *      arg: // value for 'arg'
 *   },
 * });
 */
export function useHandlerMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables>(HandlerDocument, baseOptions);
      }
export type HandlerMutationHookResult = ReturnType<typeof useHandlerMutation>;
export type HandlerMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IHandlerMutation>;
export type HandlerMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IHandlerMutation, SchemaTypes.IHandlerMutationVariables>;
export const OpenEditorFileDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"OpenEditorFile"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"content"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"OpenEditor_Input"}}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"options"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"EditorOpenOptions_Input"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"openFile"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"content"},"value":{"kind":"Variable","name":{"kind":"Name","value":"content"}}},{"kind":"Argument","name":{"kind":"Name","value":"options"},"value":{"kind":"Variable","name":{"kind":"Name","value":"options"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IOpenEditorFileMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>;
export type OpenEditorFileComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>, 'mutation'>;

    export const OpenEditorFileComponent = (props: OpenEditorFileComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables> mutation={OpenEditorFileDocument} {...props} />
    );
    
export type IOpenEditorFileProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>
    } & TChildProps;
export function withOpenEditorFile<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IOpenEditorFileMutation,
  SchemaTypes.IOpenEditorFileMutationVariables,
  IOpenEditorFileProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables, IOpenEditorFileProps<TChildProps, TDataName>>(OpenEditorFileDocument, {
      alias: 'openEditorFile',
      ...operationOptions
    });
};

/**
 * __useOpenEditorFileMutation__
 *
 * To run a mutation, you first call `useOpenEditorFileMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useOpenEditorFileMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [openEditorFileMutation, { data, loading, error }] = useOpenEditorFileMutation({
 *   variables: {
 *      content: // value for 'content'
 *      options: // value for 'options'
 *   },
 * });
 */
export function useOpenEditorFileMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>(OpenEditorFileDocument, baseOptions);
      }
export type OpenEditorFileMutationHookResult = ReturnType<typeof useOpenEditorFileMutation>;
export type OpenEditorFileMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOpenEditorFileMutation>;
export type OpenEditorFileMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>;
export const HideInputModelDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"HideInputModel"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"hideInputModel"},"arguments":[],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IHideInputModelMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables>;
export type HideInputModelComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables>, 'mutation'>;

    export const HideInputModelComponent = (props: HideInputModelComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables> mutation={HideInputModelDocument} {...props} />
    );
    
export type IHideInputModelProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables>
    } & TChildProps;
export function withHideInputModel<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IHideInputModelMutation,
  SchemaTypes.IHideInputModelMutationVariables,
  IHideInputModelProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables, IHideInputModelProps<TChildProps, TDataName>>(HideInputModelDocument, {
      alias: 'hideInputModel',
      ...operationOptions
    });
};

/**
 * __useHideInputModelMutation__
 *
 * To run a mutation, you first call `useHideInputModelMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useHideInputModelMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [hideInputModelMutation, { data, loading, error }] = useHideInputModelMutation({
 *   variables: {
 *   },
 * });
 */
export function useHideInputModelMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables>(HideInputModelDocument, baseOptions);
      }
export type HideInputModelMutationHookResult = ReturnType<typeof useHideInputModelMutation>;
export type HideInputModelMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IHideInputModelMutation>;
export type HideInputModelMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IHideInputModelMutation, SchemaTypes.IHideInputModelMutationVariables>;
export const SetSelectedDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"SetSelected"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"selectedValue"}},"type":{"kind":"ListType","type":{"kind":"NamedType","name":{"kind":"Name","value":"PickItem"}}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"inputValue"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"setSelected"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"selectedValue"},"value":{"kind":"Variable","name":{"kind":"Name","value":"selectedValue"}}},{"kind":"Argument","name":{"kind":"Name","value":"inputValue"},"value":{"kind":"Variable","name":{"kind":"Name","value":"inputValue"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type ISetSelectedMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables>;
export type SetSelectedComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables>, 'mutation'>;

    export const SetSelectedComponent = (props: SetSelectedComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables> mutation={SetSelectedDocument} {...props} />
    );
    
export type ISetSelectedProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables>
    } & TChildProps;
export function withSetSelected<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.ISetSelectedMutation,
  SchemaTypes.ISetSelectedMutationVariables,
  ISetSelectedProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables, ISetSelectedProps<TChildProps, TDataName>>(SetSelectedDocument, {
      alias: 'setSelected',
      ...operationOptions
    });
};

/**
 * __useSetSelectedMutation__
 *
 * To run a mutation, you first call `useSetSelectedMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useSetSelectedMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [setSelectedMutation, { data, loading, error }] = useSetSelectedMutation({
 *   variables: {
 *      selectedValue: // value for 'selectedValue'
 *      inputValue: // value for 'inputValue'
 *   },
 * });
 */
export function useSetSelectedMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables>(SetSelectedDocument, baseOptions);
      }
export type SetSelectedMutationHookResult = ReturnType<typeof useSetSelectedMutation>;
export type SetSelectedMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISetSelectedMutation>;
export type SetSelectedMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISetSelectedMutation, SchemaTypes.ISetSelectedMutationVariables>;
export const ShowInputDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"ShowInput"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"options"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"InputOptions"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"showInput"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"options"},"value":{"kind":"Variable","name":{"kind":"Name","value":"options"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IShowInputMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables>;
export type ShowInputComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables>, 'mutation'>;

    export const ShowInputComponent = (props: ShowInputComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables> mutation={ShowInputDocument} {...props} />
    );
    
export type IShowInputProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables>
    } & TChildProps;
export function withShowInput<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IShowInputMutation,
  SchemaTypes.IShowInputMutationVariables,
  IShowInputProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables, IShowInputProps<TChildProps, TDataName>>(ShowInputDocument, {
      alias: 'showInput',
      ...operationOptions
    });
};

/**
 * __useShowInputMutation__
 *
 * To run a mutation, you first call `useShowInputMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useShowInputMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [showInputMutation, { data, loading, error }] = useShowInputMutation({
 *   variables: {
 *      options: // value for 'options'
 *   },
 * });
 */
export function useShowInputMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables>(ShowInputDocument, baseOptions);
      }
export type ShowInputMutationHookResult = ReturnType<typeof useShowInputMutation>;
export type ShowInputMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IShowInputMutation>;
export type ShowInputMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IShowInputMutation, SchemaTypes.IShowInputMutationVariables>;
export const ShowPickInputDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"ShowPickInput"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"items"}},"type":{"kind":"ListType","type":{"kind":"NamedType","name":{"kind":"Name","value":"PickItem"}}},"directives":[]},{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"options"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"PickInputOptions"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"showPickInput"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"items"},"value":{"kind":"Variable","name":{"kind":"Name","value":"items"}}},{"kind":"Argument","name":{"kind":"Name","value":"options"},"value":{"kind":"Variable","name":{"kind":"Name","value":"options"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IShowPickInputMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables>;
export type ShowPickInputComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables>, 'mutation'>;

    export const ShowPickInputComponent = (props: ShowPickInputComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables> mutation={ShowPickInputDocument} {...props} />
    );
    
export type IShowPickInputProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables>
    } & TChildProps;
export function withShowPickInput<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IShowPickInputMutation,
  SchemaTypes.IShowPickInputMutationVariables,
  IShowPickInputProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables, IShowPickInputProps<TChildProps, TDataName>>(ShowPickInputDocument, {
      alias: 'showPickInput',
      ...operationOptions
    });
};

/**
 * __useShowPickInputMutation__
 *
 * To run a mutation, you first call `useShowPickInputMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useShowPickInputMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [showPickInputMutation, { data, loading, error }] = useShowPickInputMutation({
 *   variables: {
 *      items: // value for 'items'
 *      options: // value for 'options'
 *   },
 * });
 */
export function useShowPickInputMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables>(ShowPickInputDocument, baseOptions);
      }
export type ShowPickInputMutationHookResult = ReturnType<typeof useShowPickInputMutation>;
export type ShowPickInputMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IShowPickInputMutation>;
export type ShowPickInputMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IShowPickInputMutation, SchemaTypes.IShowPickInputMutationVariables>;
export const AddEntryDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"AddEntry"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"arg"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"AddEntry_input"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"addEntry"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"arg"},"value":{"kind":"Variable","name":{"kind":"Name","value":"arg"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IAddEntryMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables>;
export type AddEntryComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables>, 'mutation'>;

    export const AddEntryComponent = (props: AddEntryComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables> mutation={AddEntryDocument} {...props} />
    );
    
export type IAddEntryProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables>
    } & TChildProps;
export function withAddEntry<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IAddEntryMutation,
  SchemaTypes.IAddEntryMutationVariables,
  IAddEntryProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables, IAddEntryProps<TChildProps, TDataName>>(AddEntryDocument, {
      alias: 'addEntry',
      ...operationOptions
    });
};

/**
 * __useAddEntryMutation__
 *
 * To run a mutation, you first call `useAddEntryMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useAddEntryMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [addEntryMutation, { data, loading, error }] = useAddEntryMutation({
 *   variables: {
 *      arg: // value for 'arg'
 *   },
 * });
 */
export function useAddEntryMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables>(AddEntryDocument, baseOptions);
      }
export type AddEntryMutationHookResult = ReturnType<typeof useAddEntryMutation>;
export type AddEntryMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IAddEntryMutation>;
export type AddEntryMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IAddEntryMutation, SchemaTypes.IAddEntryMutationVariables>;
export const RemoveStatusbarEntryDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"RemoveStatusbarEntry"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"id"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"ID"}}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"removeStatusbarEntry"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"id"},"value":{"kind":"Variable","name":{"kind":"Name","value":"id"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IRemoveStatusbarEntryMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables>;
export type RemoveStatusbarEntryComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables>, 'mutation'>;

    export const RemoveStatusbarEntryComponent = (props: RemoveStatusbarEntryComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables> mutation={RemoveStatusbarEntryDocument} {...props} />
    );
    
export type IRemoveStatusbarEntryProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables>
    } & TChildProps;
export function withRemoveStatusbarEntry<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IRemoveStatusbarEntryMutation,
  SchemaTypes.IRemoveStatusbarEntryMutationVariables,
  IRemoveStatusbarEntryProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables, IRemoveStatusbarEntryProps<TChildProps, TDataName>>(RemoveStatusbarEntryDocument, {
      alias: 'removeStatusbarEntry',
      ...operationOptions
    });
};

/**
 * __useRemoveStatusbarEntryMutation__
 *
 * To run a mutation, you first call `useRemoveStatusbarEntryMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useRemoveStatusbarEntryMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [removeStatusbarEntryMutation, { data, loading, error }] = useRemoveStatusbarEntryMutation({
 *   variables: {
 *      id: // value for 'id'
 *   },
 * });
 */
export function useRemoveStatusbarEntryMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables>(RemoveStatusbarEntryDocument, baseOptions);
      }
export type RemoveStatusbarEntryMutationHookResult = ReturnType<typeof useRemoveStatusbarEntryMutation>;
export type RemoveStatusbarEntryMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IRemoveStatusbarEntryMutation>;
export type RemoveStatusbarEntryMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IRemoveStatusbarEntryMutation, SchemaTypes.IRemoveStatusbarEntryMutationVariables>;
export const SetStatusMessageDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"SetStatusMessage"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"arg"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"SetStatusMsg_input"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"setStatusMessage"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"arg"},"value":{"kind":"Variable","name":{"kind":"Name","value":"arg"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type ISetStatusMessageMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables>;
export type SetStatusMessageComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables>, 'mutation'>;

    export const SetStatusMessageComponent = (props: SetStatusMessageComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables> mutation={SetStatusMessageDocument} {...props} />
    );
    
export type ISetStatusMessageProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables>
    } & TChildProps;
export function withSetStatusMessage<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.ISetStatusMessageMutation,
  SchemaTypes.ISetStatusMessageMutationVariables,
  ISetStatusMessageProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables, ISetStatusMessageProps<TChildProps, TDataName>>(SetStatusMessageDocument, {
      alias: 'setStatusMessage',
      ...operationOptions
    });
};

/**
 * __useSetStatusMessageMutation__
 *
 * To run a mutation, you first call `useSetStatusMessageMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useSetStatusMessageMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [setStatusMessageMutation, { data, loading, error }] = useSetStatusMessageMutation({
 *   variables: {
 *      arg: // value for 'arg'
 *   },
 * });
 */
export function useSetStatusMessageMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables>(SetStatusMessageDocument, baseOptions);
      }
export type SetStatusMessageMutationHookResult = ReturnType<typeof useSetStatusMessageMutation>;
export type SetStatusMessageMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISetStatusMessageMutation>;
export type SetStatusMessageMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISetStatusMessageMutation, SchemaTypes.ISetStatusMessageMutationVariables>;
export const UpdateStatusbarEntryDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"mutation","name":{"kind":"Name","value":"UpdateStatusbarEntry"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"arg"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"UpdateEntry_input"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"updateStatusbarEntry"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"arg"},"value":{"kind":"Variable","name":{"kind":"Name","value":"arg"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type IUpdateStatusbarEntryMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables>;
export type UpdateStatusbarEntryComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables>, 'mutation'>;

    export const UpdateStatusbarEntryComponent = (props: UpdateStatusbarEntryComponentProps) => (
      <ApolloReactComponents.Mutation<SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables> mutation={UpdateStatusbarEntryDocument} {...props} />
    );
    
export type IUpdateStatusbarEntryProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
      [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables>
    } & TChildProps;
export function withUpdateStatusbarEntry<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IUpdateStatusbarEntryMutation,
  SchemaTypes.IUpdateStatusbarEntryMutationVariables,
  IUpdateStatusbarEntryProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withMutation<TProps, SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables, IUpdateStatusbarEntryProps<TChildProps, TDataName>>(UpdateStatusbarEntryDocument, {
      alias: 'updateStatusbarEntry',
      ...operationOptions
    });
};

/**
 * __useUpdateStatusbarEntryMutation__
 *
 * To run a mutation, you first call `useUpdateStatusbarEntryMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useUpdateStatusbarEntryMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [updateStatusbarEntryMutation, { data, loading, error }] = useUpdateStatusbarEntryMutation({
 *   variables: {
 *      arg: // value for 'arg'
 *   },
 * });
 */
export function useUpdateStatusbarEntryMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables>) {
        return ApolloReactHooks.useMutation<SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables>(UpdateStatusbarEntryDocument, baseOptions);
      }
export type UpdateStatusbarEntryMutationHookResult = ReturnType<typeof useUpdateStatusbarEntryMutation>;
export type UpdateStatusbarEntryMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IUpdateStatusbarEntryMutation>;
export type UpdateStatusbarEntryMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IUpdateStatusbarEntryMutation, SchemaTypes.IUpdateStatusbarEntryMutationVariables>;
export const FinalConfiguration_WSDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"FinalConfiguration_WS"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"viewerSettings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"finalConfiguration"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FinalConfiguration"},"directives":[]}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"FilesConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Files"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"eol"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hotExit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"encoding"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoSave"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoSaveDelay"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultLanguage"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoGuessEncoding"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"insertFinalNewline"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"trimTrailingWhitespace"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useExperimentalFileWatcher"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"watcherExclude"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"exclude"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"GitConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Git"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"path"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autofetch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"countBadge"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autorefresh"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"confirmSync"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"checkoutType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inputValidation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"detectSubmodules"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableSmartCommit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreLimitWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreLegacyWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableCommitSigning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultCloneDirectory"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoRepositoryDetection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreMissingGitWarning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showInlineOpenFileAction"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"promptToSaveFilesBeforeCommit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"decorations"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"LanguagesConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Languages"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"go"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"css"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"html"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"json"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"yaml"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"typescript"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"javascript"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"SearchConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Search"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"location"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"smartCase"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useRipgrep"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useIgnoreFiles"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"followSymlinks"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"globalFindClipboard"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"quickOpen"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"includeSymbols"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"exclude"},"arguments":[],"directives":[]}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"TerminalConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Terminal"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"integrated"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"setLocaleVariables"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"shell"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"osx"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"linux"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"windows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"container"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"shellArgs"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"container"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"windows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"osx"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"linux"},"arguments":[],"directives":[]}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"WorkspaceConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"WorkspacePreferenceWorkbench"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"colorTheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableExperiments"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fontAliasing"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"iconTheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"startupEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"view"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"alwaysShowHeaderActions"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"tips"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"horizontalScrolling"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"indent"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"renderIndentGuides"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"statusBar"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"visible"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"settings"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enableNaturalLanguageSearch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openDefaultKeybindings"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsSearchTocBehavior"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"useSplitJSON"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"quickOpen"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"closeOnFocusLost"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preserveInput"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"panel"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"defaultLocation"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"list"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"automaticKeyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"horizontalScrolling"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"keyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"multiSelectModifier"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openMode"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"experimental"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editorAssociations"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"editor"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"centeredLayoutAutoResize"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"closeEmptyGroups"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"closeOnFileDelete"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enablePreview"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enablePreviewFromQuickOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"focusRecentEditorAfterClose"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"highlightModifiedTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"labelFormat"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openPositioning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openSideBySideDirection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"restoreViewState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"revealIfOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showIcons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"splitSizing"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tabCloseButton"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tabSizing"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"commandPalette"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"history"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"preserveInput"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"activityBar"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"visible"},"arguments":[],"directives":[]}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"FinalConfiguration"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Configuration"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"terminal"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TerminalConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"search"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"SearchConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"languages"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LanguagesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"output"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"maxChannelHistory"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"files"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"FilesConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"git"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"GitConfiguration"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"workspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"WorkspaceConfiguration"},"directives":[]}]}}]}}]};
export type FinalConfiguration_WSComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>, 'query'>;

    export const FinalConfiguration_WSComponent = (props: FinalConfiguration_WSComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables> query={FinalConfiguration_WSDocument} {...props} />
    );
    
export type IFinalConfiguration_WSProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>
    } & TChildProps;
export function withFinalConfiguration_WS<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IFinalConfiguration_WSQuery,
  SchemaTypes.IFinalConfiguration_WSQueryVariables,
  IFinalConfiguration_WSProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables, IFinalConfiguration_WSProps<TChildProps, TDataName>>(FinalConfiguration_WSDocument, {
      alias: 'finalConfigurationWs',
      ...operationOptions
    });
};

/**
 * __useFinalConfiguration_WSQuery__
 *
 * To run a query within a React component, call `useFinalConfiguration_WSQuery` and pass it any options that fit your needs.
 * When your component renders, `useFinalConfiguration_WSQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useFinalConfiguration_WSQuery({
 *   variables: {
 *   },
 * });
 */
export function useFinalConfiguration_WSQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>(FinalConfiguration_WSDocument, baseOptions);
      }
export function useFinalConfiguration_WSLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>(FinalConfiguration_WSDocument, baseOptions);
        }
export type FinalConfiguration_WSQueryHookResult = ReturnType<typeof useFinalConfiguration_WSQuery>;
export type FinalConfiguration_WSLazyQueryHookResult = ReturnType<typeof useFinalConfiguration_WSLazyQuery>;
export type FinalConfiguration_WSQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>;
export const GetContextDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"GetContext"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"getContextData"},"arguments":[],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"AllContext"},"directives":[]}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"AllContext"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Context"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"originalResourceScheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"view"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"viewItem"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"gitOpenRepositoryCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isInDiffEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isInDiffRightEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceScheme"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceFilename"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceLangId"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resource"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceExtName"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceSet"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isFileSystemResource"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inputFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"suggestWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"suggestWidgetMultipleSuggestions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"suggestionMakesTextEdit"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"acceptSuggestionOnEnter"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasOtherSuggestions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"groupFocusedInOpenEditors"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"dirtyEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"resourceSelectedForCompare"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fileCopied"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breadcrumbsPossible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breadcrumbsVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breadcrumbsActive"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canNavigateBack"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canNavigateForward"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canNavigateToLastEditLocation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"dirtyDiffVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"cancellableOperation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"parameterHintsVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"parameterHintsMultipleSignatures"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"markdownPreviewFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isMac"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isLinux"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isWindows"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"remoteAuthority"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"remoteConnectionState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasMacNativeTabs"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"supportsWorkspaces"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isDevelopment"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"workbenchState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"workspaceFolderCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"remoteFileDialogVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isFullscreen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"atEndOfWord"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"scmRepository"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"scmProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"scmResourceGroup"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inDiffEditorKey"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isDominatedByLongLines"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isWordWrapMinified"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"commentThread"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"commentThreadisEmpty"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"commentIsEmpty"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"commentEditorFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"interfaceOverviewVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inReferenceSearchEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"referenceSearchVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listSupportsMultiSelect"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listHasSelectionOrFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listDoubleSelection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listMultiSelection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"listSupportsKeyboardNavigation"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"WorkbenchListAutomaticKeyboardNavigationKey"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"accessibilityHelpWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inQuickOpenKey"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"supportedCodeAction"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasSymbols"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasSnippetCompletions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"messageVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasCallHierarchyProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"callHierarchyVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchViewletVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchViewletFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchInputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"replaceInputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"patternIncludesInputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"patternExcludesInputBoxFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"replaceActive"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasSearchResult"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"firstMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fileMatchOrMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fileMatchOrFolderMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"fileMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"folderMatchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"matchFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inRecentFilesPicker"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inWindowsPicker"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"findWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"findInputFocussed"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"replaceInputFocussed"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorTextFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"textInputFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorReadonly"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasSelection"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasMultipleSelections"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorTabMoveFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isInEmbeddedEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canUndo"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canRedo"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorLangId"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasCompletionItemProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasCodeActionsProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDefinitionProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDeclarationProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasImplementationProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasTypeDefinitionProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasHoverProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHadDocumentHighlightProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDocumentSymbolProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasReferenceProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasRenameProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasSignatureHelpProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDocumentFormattingProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasDocumentSelectionFormattingProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorHasMultipleDocumentSelectionFormattingProvider"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activeEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorIsOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editorPinned"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"groupActiveEditorDirty"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"groupEditorsCount"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"textCompareEditorVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"textCompareEditorActive"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activeEditorGroupEmpty"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"multipleEditorGroups"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inZenMode"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inCenteredLayout"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"splitEditorsVertically"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"sideBarVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"sideBarFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activeViewlet"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activePanel"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"panelFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"panelPosition"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"debugType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"debugConfigurationType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"debugState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inDebugMode"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inDebugRepl"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breakpointWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"watchExpressionsFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"variablesFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"expressionSelected"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"breakpointSelected"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"callStackItemType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"loadedScriptsSupported"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"loadedScriptsItemType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"focusedSessionIsAttach"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"stepBackSupported"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"restartFrameSupported"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inSettingsEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inSettingsJSONEditor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inSettingsSearch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"settingsTocRowFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inKeybindings"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inKeybindingsSearch"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"keybindingFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerViewletVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceIsFolder"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceReadonly"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceIsRoot"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceCut"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerResourceMoveableToTrash"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"filesExplorerFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openEditorsVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"openEditorsFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"explorerViewletFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalIsOpen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalTextSelected"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalFindWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalFindWidgetInputFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"terminalFindWidgetFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"webviewFindWidgetVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"taskRunning"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"referenceSearchTreeFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"interactivePlaygroundFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"outlineFiltered"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"outlineFocused"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"problemsViewFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"problemFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"problemsFilterFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"relatedInformationFocus"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inOutput"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"activeLogOutput"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"multiCursorModifier"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"saveConflictResolutionContext"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"markersNavigationVisible"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasWordHighlights"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"profileSessionState"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"extensionHostProfileRecorded"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"historyNavigationEnabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"historyNavigationWidget"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"nonEmptyWorkspace"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultExtensionViews"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchMarketplaceExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchInstalledExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchOutdatedExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchEnabledExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchDisabledExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"hasInstalledExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"searchBuiltInExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"recommendedExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultRecommendedExtensions"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"workspaceRecommendations"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"workspaceFolderRecommendations"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"addToWorkspaceRecommendations"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"addToWorkspaceFolderRecommendations"},"arguments":[],"directives":[]}]}}]};
export type GetContextComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>, 'query'>;

    export const GetContextComponent = (props: GetContextComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables> query={GetContextDocument} {...props} />
    );
    
export type IGetContextProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>
    } & TChildProps;
export function withGetContext<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IGetContextQuery,
  SchemaTypes.IGetContextQueryVariables,
  IGetContextProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables, IGetContextProps<TChildProps, TDataName>>(GetContextDocument, {
      alias: 'getContext',
      ...operationOptions
    });
};

/**
 * __useGetContextQuery__
 *
 * To run a query within a React component, call `useGetContextQuery` and pass it any options that fit your needs.
 * When your component renders, `useGetContextQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetContextQuery({
 *   variables: {
 *   },
 * });
 */
export function useGetContextQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>(GetContextDocument, baseOptions);
      }
export function useGetContextLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>(GetContextDocument, baseOptions);
        }
export type GetContextQueryHookResult = ReturnType<typeof useGetContextQuery>;
export type GetContextLazyQueryHookResult = ReturnType<typeof useGetContextLazyQuery>;
export type GetContextQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>;
export const ContextMenuDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"ContextMenu"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contextMenu"},"arguments":[],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isShow"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"anchor"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"x"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"y"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"height"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"width"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"menuItems"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"label"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"run"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"type"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"document"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"variables"},"arguments":[],"directives":[]}]}}]}}]}}]}}]};
export type ContextMenuComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>, 'query'>;

    export const ContextMenuComponent = (props: ContextMenuComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables> query={ContextMenuDocument} {...props} />
    );
    
export type IContextMenuProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>
    } & TChildProps;
export function withContextMenu<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IContextMenuQuery,
  SchemaTypes.IContextMenuQueryVariables,
  IContextMenuProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables, IContextMenuProps<TChildProps, TDataName>>(ContextMenuDocument, {
      alias: 'contextMenu',
      ...operationOptions
    });
};

/**
 * __useContextMenuQuery__
 *
 * To run a query within a React component, call `useContextMenuQuery` and pass it any options that fit your needs.
 * When your component renders, `useContextMenuQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useContextMenuQuery({
 *   variables: {
 *   },
 * });
 */
export function useContextMenuQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>(ContextMenuDocument, baseOptions);
      }
export function useContextMenuLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>(ContextMenuDocument, baseOptions);
        }
export type ContextMenuQueryHookResult = ReturnType<typeof useContextMenuQuery>;
export type ContextMenuLazyQueryHookResult = ReturnType<typeof useContextMenuLazyQuery>;
export type ContextMenuQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>;
export const DialogDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"Dialog"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"dialog"},"arguments":[],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"dialogType"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"detail"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"inputName"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"inputType"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"type"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"options"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"label"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"placeholder"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"defaultValue"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"required"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"primaryButton"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"label"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"run"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"type"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"document"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"variables"},"arguments":[],"directives":[]}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"secondaryButton"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"checkbox"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"label"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"checked"},"arguments":[],"directives":[]}]}}]}}]}}]};
export type DialogComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>, 'query'>;

    export const DialogComponent = (props: DialogComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables> query={DialogDocument} {...props} />
    );
    
export type IDialogProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>
    } & TChildProps;
export function withDialog<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IDialogQuery,
  SchemaTypes.IDialogQueryVariables,
  IDialogProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables, IDialogProps<TChildProps, TDataName>>(DialogDocument, {
      alias: 'dialog',
      ...operationOptions
    });
};

/**
 * __useDialogQuery__
 *
 * To run a query within a React component, call `useDialogQuery` and pass it any options that fit your needs.
 * When your component renders, `useDialogQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useDialogQuery({
 *   variables: {
 *   },
 * });
 */
export function useDialogQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>(DialogDocument, baseOptions);
      }
export function useDialogLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>(DialogDocument, baseOptions);
        }
export type DialogQueryHookResult = ReturnType<typeof useDialogQuery>;
export type DialogLazyQueryHookResult = ReturnType<typeof useDialogLazyQuery>;
export type DialogQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IDialogQuery, SchemaTypes.IDialogQueryVariables>;
export const showDialogDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"showDialog"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"dialog"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Dialog_input"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"showDialog"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"dialog"},"value":{"kind":"Variable","name":{"kind":"Name","value":"dialog"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"confirmed"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"checkboxChecked"},"arguments":[],"directives":[]}]}}]}}]};
export type showDialogComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>, 'query'>;

    export const showDialogComponent = (props: showDialogComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables> query={showDialogDocument} {...props} />
    );
    
export type IshowDialogProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>
    } & TChildProps;
export function withshowDialog<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IshowDialogQuery,
  SchemaTypes.IshowDialogQueryVariables,
  IshowDialogProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables, IshowDialogProps<TChildProps, TDataName>>(showDialogDocument, {
      alias: 'showDialog',
      ...operationOptions
    });
};

/**
 * __useshowDialogQuery__
 *
 * To run a query within a React component, call `useshowDialogQuery` and pass it any options that fit your needs.
 * When your component renders, `useshowDialogQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useshowDialogQuery({
 *   variables: {
 *      dialog: // value for 'dialog'
 *   },
 * });
 */
export function useshowDialogQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>(showDialogDocument, baseOptions);
      }
export function useshowDialogLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>(showDialogDocument, baseOptions);
        }
export type showDialogQueryHookResult = ReturnType<typeof useshowDialogQuery>;
export type showDialogLazyQueryHookResult = ReturnType<typeof useshowDialogLazyQuery>;
export type showDialogQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IshowDialogQuery, SchemaTypes.IshowDialogQueryVariables>;
export const GetKeybindingsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"GetKeybindings"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"getKeybindings"},"arguments":[],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"command"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"key"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"when"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"source"},"arguments":[],"directives":[]}]}}]}}]}}]};
export type GetKeybindingsComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>, 'query'>;

    export const GetKeybindingsComponent = (props: GetKeybindingsComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables> query={GetKeybindingsDocument} {...props} />
    );
    
export type IGetKeybindingsProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>
    } & TChildProps;
export function withGetKeybindings<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IGetKeybindingsQuery,
  SchemaTypes.IGetKeybindingsQueryVariables,
  IGetKeybindingsProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables, IGetKeybindingsProps<TChildProps, TDataName>>(GetKeybindingsDocument, {
      alias: 'getKeybindings',
      ...operationOptions
    });
};

/**
 * __useGetKeybindingsQuery__
 *
 * To run a query within a React component, call `useGetKeybindingsQuery` and pass it any options that fit your needs.
 * When your component renders, `useGetKeybindingsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetKeybindingsQuery({
 *   variables: {
 *   },
 * });
 */
export function useGetKeybindingsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>(GetKeybindingsDocument, baseOptions);
      }
export function useGetKeybindingsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>(GetKeybindingsDocument, baseOptions);
        }
export type GetKeybindingsQueryHookResult = ReturnType<typeof useGetKeybindingsQuery>;
export type GetKeybindingsLazyQueryHookResult = ReturnType<typeof useGetKeybindingsLazyQuery>;
export type GetKeybindingsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetKeybindingsQuery, SchemaTypes.IGetKeybindingsQueryVariables>;
export const KeybindingContextMenuDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"KeybindingContextMenu"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"keybindingContextMenu"},"arguments":[],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"editItem"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"command"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"key"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"when"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isDefault"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"selectedItemIndex"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"editWhenIndex"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"newWhen"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"isOpenDialog"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"search"},"arguments":[],"directives":[]}]}}]}}]};
export type KeybindingContextMenuComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>, 'query'>;

    export const KeybindingContextMenuComponent = (props: KeybindingContextMenuComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables> query={KeybindingContextMenuDocument} {...props} />
    );
    
export type IKeybindingContextMenuProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>
    } & TChildProps;
export function withKeybindingContextMenu<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IKeybindingContextMenuQuery,
  SchemaTypes.IKeybindingContextMenuQueryVariables,
  IKeybindingContextMenuProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables, IKeybindingContextMenuProps<TChildProps, TDataName>>(KeybindingContextMenuDocument, {
      alias: 'keybindingContextMenu',
      ...operationOptions
    });
};

/**
 * __useKeybindingContextMenuQuery__
 *
 * To run a query within a React component, call `useKeybindingContextMenuQuery` and pass it any options that fit your needs.
 * When your component renders, `useKeybindingContextMenuQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useKeybindingContextMenuQuery({
 *   variables: {
 *   },
 * });
 */
export function useKeybindingContextMenuQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>(KeybindingContextMenuDocument, baseOptions);
      }
export function useKeybindingContextMenuLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>(KeybindingContextMenuDocument, baseOptions);
        }
export type KeybindingContextMenuQueryHookResult = ReturnType<typeof useKeybindingContextMenuQuery>;
export type KeybindingContextMenuLazyQueryHookResult = ReturnType<typeof useKeybindingContextMenuLazyQuery>;
export type KeybindingContextMenuQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IKeybindingContextMenuQuery, SchemaTypes.IKeybindingContextMenuQueryVariables>;
export const KeybindingsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"Keybindings"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"keybindings"},"arguments":[],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"command"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"key"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"when"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"source"},"arguments":[],"directives":[]}]}}]}}]}}]};
export type KeybindingsComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>, 'query'>;

    export const KeybindingsComponent = (props: KeybindingsComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables> query={KeybindingsDocument} {...props} />
    );
    
export type IKeybindingsProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>
    } & TChildProps;
export function withKeybindings<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IKeybindingsQuery,
  SchemaTypes.IKeybindingsQueryVariables,
  IKeybindingsProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables, IKeybindingsProps<TChildProps, TDataName>>(KeybindingsDocument, {
      alias: 'keybindings',
      ...operationOptions
    });
};

/**
 * __useKeybindingsQuery__
 *
 * To run a query within a React component, call `useKeybindingsQuery` and pass it any options that fit your needs.
 * When your component renders, `useKeybindingsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useKeybindingsQuery({
 *   variables: {
 *   },
 * });
 */
export function useKeybindingsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>(KeybindingsDocument, baseOptions);
      }
export function useKeybindingsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>(KeybindingsDocument, baseOptions);
        }
export type KeybindingsQueryHookResult = ReturnType<typeof useKeybindingsQuery>;
export type KeybindingsLazyQueryHookResult = ReturnType<typeof useKeybindingsLazyQuery>;
export type KeybindingsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IKeybindingsQuery, SchemaTypes.IKeybindingsQueryVariables>;
export const NotificationsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"Notifications"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"notifications"},"arguments":[],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"notifications"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"index"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"severity"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"message"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"actions"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"primary"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"label"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tooltip"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"class"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"checked"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"radio"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"run"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"type"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"document"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"variables"},"arguments":[],"directives":[]}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"secondary"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"label"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tooltip"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"class"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"checked"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"radio"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"run"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"type"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"document"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"variables"},"arguments":[],"directives":[]}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"sticky"},"arguments":[],"directives":[]}]}}]}}]}}]};
export type NotificationsComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>, 'query'>;

    export const NotificationsComponent = (props: NotificationsComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables> query={NotificationsDocument} {...props} />
    );
    
export type INotificationsProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>
    } & TChildProps;
export function withNotifications<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.INotificationsQuery,
  SchemaTypes.INotificationsQueryVariables,
  INotificationsProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables, INotificationsProps<TChildProps, TDataName>>(NotificationsDocument, {
      alias: 'notifications',
      ...operationOptions
    });
};

/**
 * __useNotificationsQuery__
 *
 * To run a query within a React component, call `useNotificationsQuery` and pass it any options that fit your needs.
 * When your component renders, `useNotificationsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useNotificationsQuery({
 *   variables: {
 *   },
 * });
 */
export function useNotificationsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>(NotificationsDocument, baseOptions);
      }
export function useNotificationsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>(NotificationsDocument, baseOptions);
        }
export type NotificationsQueryHookResult = ReturnType<typeof useNotificationsQuery>;
export type NotificationsLazyQueryHookResult = ReturnType<typeof useNotificationsLazyQuery>;
export type NotificationsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>;
export const showNotificationDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"showNotification"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"notification"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"Notification_input"}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"showNotification"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"notification"},"value":{"kind":"Variable","name":{"kind":"Name","value":"notification"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}]}]}}]};
export type showNotificationComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>, 'query'>;

    export const showNotificationComponent = (props: showNotificationComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables> query={showNotificationDocument} {...props} />
    );
    
export type IshowNotificationProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>
    } & TChildProps;
export function withshowNotification<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IshowNotificationQuery,
  SchemaTypes.IshowNotificationQueryVariables,
  IshowNotificationProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables, IshowNotificationProps<TChildProps, TDataName>>(showNotificationDocument, {
      alias: 'showNotification',
      ...operationOptions
    });
};

/**
 * __useshowNotificationQuery__
 *
 * To run a query within a React component, call `useshowNotificationQuery` and pass it any options that fit your needs.
 * When your component renders, `useshowNotificationQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useshowNotificationQuery({
 *   variables: {
 *      notification: // value for 'notification'
 *   },
 * });
 */
export function useshowNotificationQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>(showNotificationDocument, baseOptions);
      }
export function useshowNotificationLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>(showNotificationDocument, baseOptions);
        }
export type showNotificationQueryHookResult = ReturnType<typeof useshowNotificationQuery>;
export type showNotificationLazyQueryHookResult = ReturnType<typeof useshowNotificationLazyQuery>;
export type showNotificationQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IshowNotificationQuery, SchemaTypes.IshowNotificationQueryVariables>;
export const GetSelectedValueDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"GetSelectedValue"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"quickInputModel"},"arguments":[],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"selectedValue"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"pickItem"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"inputValue"},"arguments":[],"directives":[]}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"pickItem"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"QuickPickItem"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"label"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"detail"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"keybinding"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"command"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"key"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"when"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"source"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"italic"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"highlights"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"label"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"start"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"end"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"start"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"end"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"detail"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"start"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"end"},"arguments":[],"directives":[]}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"picked"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"alwaysShow"},"arguments":[],"directives":[]}]}}]};
export type GetSelectedValueComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>, 'query'>;

    export const GetSelectedValueComponent = (props: GetSelectedValueComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables> query={GetSelectedValueDocument} {...props} />
    );
    
export type IGetSelectedValueProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>
    } & TChildProps;
export function withGetSelectedValue<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IGetSelectedValueQuery,
  SchemaTypes.IGetSelectedValueQueryVariables,
  IGetSelectedValueProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables, IGetSelectedValueProps<TChildProps, TDataName>>(GetSelectedValueDocument, {
      alias: 'getSelectedValue',
      ...operationOptions
    });
};

/**
 * __useGetSelectedValueQuery__
 *
 * To run a query within a React component, call `useGetSelectedValueQuery` and pass it any options that fit your needs.
 * When your component renders, `useGetSelectedValueQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetSelectedValueQuery({
 *   variables: {
 *   },
 * });
 */
export function useGetSelectedValueQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>(GetSelectedValueDocument, baseOptions);
      }
export function useGetSelectedValueLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>(GetSelectedValueDocument, baseOptions);
        }
export type GetSelectedValueQueryHookResult = ReturnType<typeof useGetSelectedValueQuery>;
export type GetSelectedValueLazyQueryHookResult = ReturnType<typeof useGetSelectedValueLazyQuery>;
export type GetSelectedValueQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetSelectedValueQuery, SchemaTypes.IGetSelectedValueQueryVariables>;
export const QuickInputModelDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"QuickInputModel"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"quickInputModel"},"arguments":[],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"show"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"input"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"enabled"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ignoreFocusOut"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"value"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"placeholder"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"prompt"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"validationMessage"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"quickPick"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"placeholder"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"canSelectMany"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"autoFocusOnList"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"items"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"pickItem"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"activeItem"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"pickItem"},"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"selectedItems"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"pickItem"},"directives":[]}]}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"pickItem"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"QuickPickItem"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"label"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"detail"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"keybinding"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"command"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"key"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"when"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"source"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"italic"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"highlights"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"label"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"start"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"end"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"description"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"start"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"end"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"detail"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"start"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"end"},"arguments":[],"directives":[]}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"picked"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"alwaysShow"},"arguments":[],"directives":[]}]}}]};
export type QuickInputModelComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>, 'query'>;

    export const QuickInputModelComponent = (props: QuickInputModelComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables> query={QuickInputModelDocument} {...props} />
    );
    
export type IQuickInputModelProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>
    } & TChildProps;
export function withQuickInputModel<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IQuickInputModelQuery,
  SchemaTypes.IQuickInputModelQueryVariables,
  IQuickInputModelProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables, IQuickInputModelProps<TChildProps, TDataName>>(QuickInputModelDocument, {
      alias: 'quickInputModel',
      ...operationOptions
    });
};

/**
 * __useQuickInputModelQuery__
 *
 * To run a query within a React component, call `useQuickInputModelQuery` and pass it any options that fit your needs.
 * When your component renders, `useQuickInputModelQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useQuickInputModelQuery({
 *   variables: {
 *   },
 * });
 */
export function useQuickInputModelQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>(QuickInputModelDocument, baseOptions);
      }
export function useQuickInputModelLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>(QuickInputModelDocument, baseOptions);
        }
export type QuickInputModelQueryHookResult = ReturnType<typeof useQuickInputModelQuery>;
export type QuickInputModelLazyQueryHookResult = ReturnType<typeof useQuickInputModelLazyQuery>;
export type QuickInputModelQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IQuickInputModelQuery, SchemaTypes.IQuickInputModelQueryVariables>;
export const StatusbarDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"Statusbar"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"statusbar"},"arguments":[],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"Terminal"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"alignment"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"priority"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"typeId"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"entry"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"showTabsButtons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showIcons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showStatusbar"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"text"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ariaLabel"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tooltip"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"color"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"command"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"arguments"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showBeak"},"arguments":[],"directives":[]}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"GoToLineColumn"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"alignment"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"priority"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"typeId"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"entry"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"showTabsButtons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showIcons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showStatusbar"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"text"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ariaLabel"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tooltip"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"color"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"command"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"arguments"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showBeak"},"arguments":[],"directives":[]}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EncodingStatus"}},"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"alignment"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"priority"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"typeId"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"entry"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"showTabsButtons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showIcons"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showStatusbar"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"text"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"ariaLabel"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"tooltip"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"color"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"command"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"arguments"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"showBeak"},"arguments":[],"directives":[]}]}}]}}]}}]}}]}}]};
export type StatusbarComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>, 'query'>;

    export const StatusbarComponent = (props: StatusbarComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables> query={StatusbarDocument} {...props} />
    );
    
export type IStatusbarProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>
    } & TChildProps;
export function withStatusbar<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IStatusbarQuery,
  SchemaTypes.IStatusbarQueryVariables,
  IStatusbarProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables, IStatusbarProps<TChildProps, TDataName>>(StatusbarDocument, {
      alias: 'statusbar',
      ...operationOptions
    });
};

/**
 * __useStatusbarQuery__
 *
 * To run a query within a React component, call `useStatusbarQuery` and pass it any options that fit your needs.
 * When your component renders, `useStatusbarQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useStatusbarQuery({
 *   variables: {
 *   },
 * });
 */
export function useStatusbarQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>(StatusbarDocument, baseOptions);
      }
export function useStatusbarLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>(StatusbarDocument, baseOptions);
        }
export type StatusbarQueryHookResult = ReturnType<typeof useStatusbarQuery>;
export type StatusbarLazyQueryHookResult = ReturnType<typeof useStatusbarLazyQuery>;
export type StatusbarQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IStatusbarQuery, SchemaTypes.IStatusbarQueryVariables>;
export const GetViewsDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"GetViews"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"containerId"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}},"directives":[]}],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"getViews"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"containerId"},"value":{"kind":"Variable","name":{"kind":"Name","value":"containerId"}}}],"directives":[{"kind":"Directive","name":{"kind":"Name","value":"client"},"arguments":[]}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]}]}}]}}]};
export type GetViewsComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>, 'query'> & ({ variables: SchemaTypes.IGetViewsQueryVariables; skip?: boolean; } | { skip: boolean; });

    export const GetViewsComponent = (props: GetViewsComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables> query={GetViewsDocument} {...props} />
    );
    
export type IGetViewsProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>
    } & TChildProps;
export function withGetViews<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IGetViewsQuery,
  SchemaTypes.IGetViewsQueryVariables,
  IGetViewsProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables, IGetViewsProps<TChildProps, TDataName>>(GetViewsDocument, {
      alias: 'getViews',
      ...operationOptions
    });
};

/**
 * __useGetViewsQuery__
 *
 * To run a query within a React component, call `useGetViewsQuery` and pass it any options that fit your needs.
 * When your component renders, `useGetViewsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetViewsQuery({
 *   variables: {
 *      containerId: // value for 'containerId'
 *   },
 * });
 */
export function useGetViewsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>(GetViewsDocument, baseOptions);
      }
export function useGetViewsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>(GetViewsDocument, baseOptions);
        }
export type GetViewsQueryHookResult = ReturnType<typeof useGetViewsQuery>;
export type GetViewsLazyQueryHookResult = ReturnType<typeof useGetViewsLazyQuery>;
export type GetViewsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>;
export const GetWorkspaceDocument: DocumentNode = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"GetWorkspace"},"variableDefinitions":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"getWorkspace"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"folders"},"arguments":[],"directives":[],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"uri"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"name"},"arguments":[],"directives":[]},{"kind":"Field","name":{"kind":"Name","value":"index"},"arguments":[],"directives":[]}]}},{"kind":"Field","name":{"kind":"Name","value":"configuration"},"arguments":[],"directives":[]}]}}]}}]};
export type GetWorkspaceComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>, 'query'>;

    export const GetWorkspaceComponent = (props: GetWorkspaceComponentProps) => (
      <ApolloReactComponents.Query<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables> query={GetWorkspaceDocument} {...props} />
    );
    
export type IGetWorkspaceProps<TChildProps = {}, TDataName extends string = 'data'> = {
      [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>
    } & TChildProps;
export function withGetWorkspace<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<
  TProps,
  SchemaTypes.IGetWorkspaceQuery,
  SchemaTypes.IGetWorkspaceQueryVariables,
  IGetWorkspaceProps<TChildProps, TDataName>>) {
    return ApolloReactHoc.withQuery<TProps, SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables, IGetWorkspaceProps<TChildProps, TDataName>>(GetWorkspaceDocument, {
      alias: 'getWorkspace',
      ...operationOptions
    });
};

/**
 * __useGetWorkspaceQuery__
 *
 * To run a query within a React component, call `useGetWorkspaceQuery` and pass it any options that fit your needs.
 * When your component renders, `useGetWorkspaceQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetWorkspaceQuery({
 *   variables: {
 *   },
 * });
 */
export function useGetWorkspaceQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>) {
        return ApolloReactHooks.useQuery<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>(GetWorkspaceDocument, baseOptions);
      }
export function useGetWorkspaceLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>) {
          return ApolloReactHooks.useLazyQuery<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>(GetWorkspaceDocument, baseOptions);
        }
export type GetWorkspaceQueryHookResult = ReturnType<typeof useGetWorkspaceQuery>;
export type GetWorkspaceLazyQueryHookResult = ReturnType<typeof useGetWorkspaceLazyQuery>;
export type GetWorkspaceQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>;